﻿/*************************************************************************************
 *
 * 文 件 名:   ApplyResult
 * 描    述:   申请的返回结果基类
 * 备    注:
 * 创 建 者：  Du
 * 创建时间：  2022/8/1 8:29:01
*************************************************************************************/

namespace RGD.HaiRouAPI.HaiRouModel
{
    public class ApplyResult
    {
        private string _code;
        private string _msg;
        private object _data;

        /// <summary>
        /// 0代表正常,其余异常
        /// </summary>
        public string code { get => _code; set => _code = value; }

        /// <summary>
        /// 详情
        /// </summary>
        public string msg { get => _msg; set => _msg = value; }

        public object data { get => _data; set => _data = value; }
    }
}