﻿using System.Collections.Generic;

namespace RGD.HaiRouAPI.HaiRouModel.Inv
{
    public class CreateActionTask
    {
        private string TaskGroupCode;
        private string RobotCode;
        private List<task> Tasks;

        public string taskGroupCode { get => TaskGroupCode; set => TaskGroupCode = value; }
        public string robotCode { get => RobotCode; set => RobotCode = value; }
        public List<task> tasks { get => Tasks; set => Tasks = value; }
    }

    public class task
    {
        private string TaskAction;
        private string TaskCode;
        private int IsFinallyPaused;
        private string ContainerCode;
        private string LocationCode;

        /// <summary>
        /// 任务行为，当前只使用load取货，unload放货
        /// </summary>
        public string taskAction { get => TaskAction; set => TaskAction = value; }

        /// <summary>
        /// 任务号，历史唯一
        /// </summary>
        public string taskCode { get => TaskCode; set => TaskCode = value; }

        /// <summary>
        /// 行为结束是否暂停，当前模式下，只在盘库任务的最后一个任务为true
        /// </summary>
        public int isFinallyPaused { get => IsFinallyPaused; set => IsFinallyPaused = value; }

        /// <summary>
        /// 容器编码，唯一
        /// </summary>
        public string containerCode { get => ContainerCode; set => ContainerCode = value; }

        /// <summary>
        /// 一般是终点位置，站台取货比较特殊
        /// </summary>
        public string locationCode { get => LocationCode; set => LocationCode = value; }
    }
}