using RGD.Common;
using RGD.DataService;
using System;
using System.Collections.Generic;

namespace RGD.OPCClient
{
    public class CGetDeviceState : IGetDeviceState
    {
        private string _commLayerError;

        public string CommLayerError
        {
            get { return _commLayerError; }
            set { _commLayerError = value; }
        }

        public CGetDeviceState()
        {
        }

        /// <summary>
        ///1λλ豸״̬Ϣ
        ///⿪أ  0-޻1-л
        ///ȷϰť
        ///1ֽڣ
        ///һ仯ֵÿȷһΣֵ仯һΣԱ־һ
        ///µȷϢ01仯Ҳǵ
        ///仯
        ///2ֽڣ
        ///1-޻ȷ
        ///2-лȷ
        ///豸
        ///1	ڣ豸״̬
        ///Ѷ0-
        ///1-
        ///2-
        ///3-Ҫط
        ///4-֪ͨȡǰ
        ///ֵʾ
        /// 󳵣
        /// 0-
        /// 1-
        /// 2-
        /// 3-Ҫط
        /// 4-֪ͨȡǰ
        /// ֵʾ
        /// ͻ
        /// 0-
        /// 1-
        /// 2-ɣֻPC·Ŀ豸㱨ɣ
        /// ϻҪ״̬
        /// ֵʾ
        /// 23ֽڣ ţλ´ʱ
        /// 4567ֽ
        /// Ѷ󳵣
        /// յX꣨ع
        /// 8ֽԺ󲿷ֻԶѶ壩
        /// 891011ֽ
        ///  յY꣨ظ߶ȷ
        ///
        /// 2.λλϢ
        /// 룺
        /// 1-10ֽڣδϵ10λϢ
        /// һŹ룺
        /// 1-9ֽڣ δϵĺ9λһŹϢ
        /// һŹ32λͬƷһŹǰ23λͬ
        /// ֻź9λ롣ÿλ̿һŹ
        /// 18ֽڣλһνһŹϢͬʱȡ
        /// λɹȡ18ֽں󣬰18ֽȫд㣬
        /// λֻм⵽18ֽȫʱſдµһŹϢ
        ///
        /// 3.λλֳƴź
        /// 1ֽ	   ָ
        /// 1-	طǰ豸ָ
        /// 2-	޸ĵǰ豸ִĿλ
        /// 23ֽ	豸ǰ豸
        /// 45ֽ	ţҪ޸Ŀλõţ
        /// 615ֽ	루ǰ豸ϵ̵룩
        /// λ򿪹䶪ʧ
        /// ʱ豸̵ͣ
        /// λյ·͵ǰ豸ָ
        /// 豸ʱλ޸Ŀλá
        /// λյҵµ·޸ĴŵĿλá
        /// ָΪ1ʱſֵָΪ2ʱֵ
        /// </summary>
        /// <param name="DeviceIndex">豸</param>
        /// <returns>Ϣɹ󣬷ӦϢ󷵻22ֵ״̬</returns>
        public int[] GetDeviceState(int DeviceIndex)//
        {
            string[] itemnames;
            int[] _Rword = new int[20];
            List<string> itemvalue = new List<string>();
            Model.MDevice devinfo = BaseDeviceService.GetDeviceInfo(DeviceIndex);
            try
            {
                if (devinfo.DeviceIndex == 0)
                {
                    _commLayerError = "OPCClient.CGetDeviceState.GetDeviceState豸ûҵ豸";
                    return null;
                }
                else
                {
                    CCommonOPCClient.Hostname = AppSettings.GetValue("HostName");//20090922 devinfo.RemoteIP;
                    CCommonOPCClient.ProgID = AppSettings.GetValue("OPCProgID");
                    switch (devinfo.DeviceKind.ToString())
                    {
                        #region 翪ܵĲɼ

                        case "28":
                            int[] _RRword = new int[(int)devinfo.Dbw2Getlength];
                            byte[] br = CCommonOPCClient.SyncReadAllItems();
                            if (br == null)
                            {
                                _commLayerError = "OPCClient.CGetDeviceState.GetDeviceState" + CCommonOPCClient.OpcError;
                                return null;
                            }
                            Array.Copy(br, _RRword, (int)devinfo.Dbw2Getlength);
                            return _RRword;

                        #endregion 翪ܵĲɼ

                        #region 豸

                        case "1"://Ѷ
                            itemnames = new string[5];
                            itemnames[0] = "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + 0));
                            itemnames[1] = "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + 1));
                            itemnames[2] = "DB2,int" + Convert.ToString((devinfo.Dbw2Address + 2));
                            itemnames[3] = "DB2,DWORD" + Convert.ToString((devinfo.Dbw2Address + 4));
                            itemnames[4] = "DB2,DWORD" + Convert.ToString((devinfo.Dbw2Address + 8));
                            itemvalue = CCommonOPCClient.SyncReadAllItems(itemnames);
                            if (itemvalue.Count == 0)
                            {
                                _commLayerError = "OPCClient.CGetDeviceState.GetDeviceState" + CCommonOPCClient.OpcError;
                                return null;
                            }
                            _Rword[0] = Convert.ToInt32(itemvalue[0]);//д־
                            _Rword[1] = Convert.ToInt32(itemvalue[1]);//״̬
                            _Rword[2] = Convert.ToInt32(itemvalue[2]);//
                            _Rword[3] = Convert.ToInt32(itemvalue[3]);//X
                            _Rword[4] = Convert.ToInt32(itemvalue[4]);//Y
                            _Rword[5] = DeviceIndex;//豸
                            break;

                        case "2"://ͻ
                            itemnames = new string[3];
                            itemnames[0] = "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + 0));
                            itemnames[1] = "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + 1));
                            itemnames[2] = "DB2,int" + Convert.ToString((devinfo.Dbw2Address + 2));

                            itemvalue = CCommonOPCClient.SyncReadAllItems(itemnames);
                            if ((itemvalue == null) || (itemvalue.Count == 0))
                            {
                                _commLayerError = "OPCClient.CGetDeviceState.GetDeviceState" + CCommonOPCClient.OpcError;
                                return null;
                            }
                            _Rword[0] = Convert.ToInt32(itemvalue[0]);//д־
                            _Rword[1] = Convert.ToInt32(itemvalue[1]);//״̬
                            _Rword[2] = Convert.ToInt32(itemvalue[2]);//
                            _Rword[3] = 0;
                            _Rword[4] = 0;
                            _Rword[5] = DeviceIndex;//豸
                            break;

                        #region RGV

                        case "4"://RGV
                            itemnames = new string[4];
                            itemnames[0] = "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + 0));
                            itemnames[1] = "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + 1));
                            itemnames[2] = "DB2,int" + Convert.ToString((devinfo.Dbw2Address + 2));
                            itemnames[3] = "DB2,DWORD" + Convert.ToString((devinfo.Dbw2Address + 4));

                            itemvalue = CCommonOPCClient.SyncReadAllItems(itemnames);
                            if ((itemvalue == null) || (itemvalue.Count == 0))
                            {
                                _commLayerError = "OPCClient.CGetDeviceState.GetDeviceState" + CCommonOPCClient.OpcError;
                                return null;
                            }
                            _Rword[0] = Convert.ToInt32(itemvalue[0]);//д־
                            _Rword[1] = Convert.ToInt32(itemvalue[1]);//״̬
                            _Rword[2] = Convert.ToInt32(itemvalue[2]);//
                            _Rword[3] = Convert.ToInt32(itemvalue[3]);//X
                            _Rword[4] = 0;
                            _Rword[5] = DeviceIndex;//豸
                            break;

                        case "13"://
                            itemnames = new string[4];
                            itemnames[0] = "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + 0));
                            itemnames[1] = "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + 1));
                            itemnames[2] = "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + 2));
                            itemnames[3] = "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + 3));

                            itemvalue = CCommonOPCClient.SyncReadAllItems(itemnames);
                            if ((itemvalue == null) || (itemvalue.Count == 0))
                            {
                                _commLayerError = "OPCClient.CGetDeviceState.GetDeviceState" + CCommonOPCClient.OpcError;
                                return null;
                            }
                            if (itemvalue[0] != "1") return null;
                            _Rword[0] = Convert.ToInt32(itemvalue[1]);//λ
                            _Rword[1] = Convert.ToInt32(itemvalue[2]);//λ
                            _Rword[2] = Convert.ToInt32(itemvalue[3]);//λ
                            _Rword[3] = 0;
                            _Rword[4] = 0;
                            _Rword[5] = DeviceIndex;//豸
                            break;

                        #endregion RGV

                        #endregion 豸

                        default:
                            break;
                    }
                }
                return _Rword;
            }
            catch (Exception ex)
            {
                _commLayerError = "OPCClient.CGetDeviceState.GetDeviceState" + ex.Message;
                return null;
            }
            finally
            {
                itemnames = null;
                _Rword = null;
                itemvalue = null;
                devinfo = null;
            }
        }

        public string GetStringData(int DeviceIndex, int TaskIndex)
        {//20091107
            string headstr = "";
            string[] itemnames;
            string retdata = "";
            string[] witemnames;
            byte[] itemvalue;
            object[] obj;
            Model.MDevice devinfo = BaseDeviceService.GetDeviceInfo(DeviceIndex);
            try
            {
                if (devinfo.DeviceIndex == 0)
                {
                    _commLayerError = "OPCClient.CGetDeviceState.GetStringData豸ûҵ豸";

                    return null;
                }
                else
                {
                    CCommonOPCClient.Hostname = AppSettings.GetValue("HostName");//20090922 devinfo.RemoteIP;
                    CCommonOPCClient.ProgID = AppSettings.GetValue("OPCProgID");

                    witemnames = new string[1] { "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + 0)) };
                    switch (devinfo.DeviceKind.ToString())
                    {
                        #region Ϣ(10ֽ)

                        case "7":
                            itemnames = new string[11];
                            itemnames[0] = "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + 0));
                            for (int i = 1; i < 11; i++)
                            {
                                itemnames[i] = "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + i));
                            }
                            obj = CCommonOPCClient.SyncReadItemValues(itemnames);
                            if ((obj == null))
                            {
                                _commLayerError = "OPCClient.CGetDeviceState.GetDeviceState" + CCommonOPCClient.OpcError;
                                return null;
                            }
                            if (obj[0].ToString() != "1") return null;
                            itemvalue = new byte[obj.Length];
                            Array.Copy(obj, itemvalue, obj.Length);

                            headstr = itemvalue[0].ToString();
                            for (int i = 1; i <= 10; i++)
                            {
                                retdata += Convert.ToChar(itemvalue[i]);
                            }

                            break;

                        #endregion Ϣ(10ֽ)

                        #region һŹ루鹲32ֽ+һ־ͷ

                        case "21":
                            itemnames = new string[33];
                            itemnames[0] = "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + 0));
                            for (int i = 1; i < 33; i++)
                            {
                                itemnames[i] = "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + i));
                            }
                            obj = CCommonOPCClient.SyncReadItemValues(itemnames);
                            if ((obj == null))
                            {
                                _commLayerError = "OPCClient.CGetDeviceState.GetDeviceState" + CCommonOPCClient.OpcError;
                                return null;
                            }
                            if (obj[0].ToString() != "1") return null;
                            itemvalue = new byte[obj.Length];
                            Array.Copy(obj, itemvalue, obj.Length);

                            headstr = itemvalue[0].ToString();
                            for (int i = 1; i <= 32; i++)
                            {
                                retdata += Convert.ToChar(itemvalue[i]);
                            }
                            break;

                        #endregion һŹ루鹲32ֽ+һ־ͷ

                        default:
                            break;
                    }
                }
                if (headstr == "1")
                {
                    string[] wv = new string[1] { "2" };
                    if (CCommonOPCClient.SyncWriteAllItemValue(witemnames, wv) == false)
                    {
                        _commLayerError = "OPCClient.CGetDeviceState.GetDeviceState" + CCommonOPCClient.OpcError;
                        return null;
                    }
                    else
                    {
                        return retdata;
                    }
                }
                else
                {
                    return null;
                }
            }
            catch (Exception ex)
            {
                _commLayerError = "OPCClient.CGetDeviceState.GetStringData" + ex.Message;
                return null;
            }
            finally
            {
                headstr = null;
                itemnames = null;
                retdata = null;
                witemnames = null;
                itemvalue = null;
                obj = null;
                devinfo = null;
            }
        }
    }
}