﻿namespace RGD.ZhiQianAPI.ZhiQianModel
{
    /// <summary>
    /// agv上报放货成功
    /// </summary>
    public class BoxReleased
    {
        private string _containerCode;
        private string _locationCode;
        private string _caller;
        private int _taskid;

        /// <summary>
        /// 容器编码
        /// </summary>
        public string containerCode { get => _containerCode; set => _containerCode = value; }

        /// <summary>
        /// 放货位
        /// </summary>
        public string locationCode { get => _locationCode; set => _locationCode = value; }

        /// <summary>
        /// 上报方,默认为agv
        /// </summary>
        public string caller { get => _caller; set => _caller = value; }

        /// <summary>
        /// 任务id
        /// </summary>
        public int taskId { get => _taskid; set => _taskid = value; }
    }
}