﻿namespace RGD.ZhiQianAPI.ZhiQianModel
{
    /// <summary>
    /// 任务执行状态上报
    /// </summary>
    public class BoxStatus
    {
        private string _caller;
        private int _taskid;
        private string _status;
        private string _message;

        /// <summary>
        /// 上报方,默认agv
        /// </summary>
        public string caller { get => _caller; set => _caller = value; }

        /// <summary>
        /// 任务id
        /// </summary>
        public int taskId { get => _taskid; set => _taskid = value; }

        /// <summary>
        /// 任务状态，EXECUTING-执⾏中，COMPLETE-已完成，CANCEL-已取晓
        /// </summary>
        public string status { get => _status; set => _status = value; }

        /// <summary>
        ///  当status==CANCEL时，表⽰取消执⾏的原因
        /// </summary>
        public string message { get => _message; set => _message = value; }
    }
}