﻿namespace RGD.ZhiQianAPI.ZhiQianModel
{
    /// <summary>
    /// 取消任务接口
    ///1. 如运单尚未执⾏取放货操作，则RCS直接取消运单
    ///2. 如运单已执⾏取放货操作，则⾸先需要⼈⼯清空⻋上储位，然后取消
    ///3. 取消运单后，未放货完成的料箱，RCS会逐箱上报WMS已取消
    /// </summary>
    public class CancelOrder
    {
        private int _taskid;

        /// <summary>
        /// 任务id
        /// </summary>
        public int taskid { get => _taskid; set => _taskid = value; }
    }
}