﻿namespace RGD.ZhiQianAPI.ZhiQianModel
{
    public class CreateOrderResponse : BaseResponse
    {
        private CreateOrderResponseResult _createOrderResponseResult;

        public CreateOrderResponseResult result { get => _createOrderResponseResult; set => _createOrderResponseResult = value; }
    }

    public class CreateOrderResponseResult 
    {
        private int _zoneid;
        private int _poolid;
        private string _orderno;
        private bool _appendflag;
        private int _taskid;

        /// <summary>
        /// 区域组id
        /// </summary>
        public int zoneid { get => _zoneid; set => _zoneid = value; }

        /// <summary>
        /// 运单池id
        /// </summary>
        public int poolid { get => _poolid; set => _poolid = value; }

        /// <summary>
        /// 大任务号
        /// </summary>
        public string orderno { get => _orderno; set => _orderno = value; }

        /// <summary>
        /// 追加任务标志
        /// </summary>
        public bool appendflag { get => _appendflag; set => _appendflag = value; }

        /// <summary>
        /// 任务id
        /// </summary>
        public int taskid { get => _taskid; set => _taskid = value; }
    }
}