﻿namespace RGD.ZhiQianAPI.ZhiQianModel
{
    /// <summary>
    /// agv请求从输送线取货,一般直接同意,因为只有在输送线到达取放货口时再发送运单
    /// </summary>
    public class RequestDilivery
    {
        private string _cell;
        private string _box;
        private int _wmsTaskId;

        /// <summary>
        /// 取货位
        /// </summary>
        public string cell { get => _cell; set => _cell = value; }

        /// <summary>
        /// 容器编码
        /// </summary>
        public string box { get => _box; set => _box = value; }

        /// <summary>
        /// 大任务id
        /// </summary>
        public int wmsTaskId { get => _wmsTaskId; set => _wmsTaskId = value; }
    }
}