﻿/*************************************************************************************
 *
 * 文 件 名:   UnloadContainerReq
 * 描    述:   放箱请求
 * 备    注:
 * 创 建 者：  Du
 * 创建时间：  2022/8/2 9:27:24
*************************************************************************************/

using System;

namespace RGD.HaiRouAPI.HaiRouModel
{
    internal class UnloadContainerReq
    {
        private string slotcode;
        private string containercode;

        /// <summary>
        /// 库位编码
        /// </summary>
        public string slotCode { get => slotcode; set => slotcode = value; }

        /// <summary>
        /// 容器编码
        /// </summary>
        public string containerCode { get => containercode; set => containercode = value; }
    }

    internal class UnloadContainerReqRes : ApplyResult
    {
    }

    internal class ucrrData
    {
        private Boolean _allow;

        /// <summary>
        /// 是否允许放箱
        /// </summary>
        public bool allow { get => _allow; set => _allow = value; }
    }
}