using RGD.Common;
using RGD.DataService;
using RGD.DBUtility;
using RGD.Model;
using RGD.OPCClient;
using RGD.ZhiQianAPI;
using RGD.ZhiQianAPI.ZhiQianModel;
using System;
using System.Collections.Generic;
using System.Data;
using System.Text;

namespace RGD.WCS
{
    /// <summary>
    /// Creator:RGD
    /// ص
    /// </summary>
    public class CControl
    {
        private Object thisLock = new Object();
        private Model.MError errs;
        private Model.MDevice devinfo;
        private ISendDeviceOrder sdo;
        private StringBuilder AheadDetectUnallow = new StringBuilder();
        private CCommonFunction ccf = new CCommonFunction();
        private int _DeviceIdx = 0;//豸
        private int _routeID = 0;//·Ψһ
        private int _serialNumber = 0;//·ϵ豸
        private int _ManageTaskIdx = 0;//
        private int _ManageKindIdx = 0;//
        private int _DeviceOrder = 0;//豸
        private int _LockedState = 0;
        private int _Associate = 0;
        private int _ManTaskReserve = 0;
        private string _AheadDetect = "";
        private int _NumParam1 = 0;
        private int _NumParam2 = 0;
        private int _NumParam3 = 0;
        private int _NumParam4 = 0;
        private int _NumParam5 = 0;
        private int _NumParam6 = 0;
        private string _TxtParam = "-";
        private int _DeviceKind = 0;
        private int _OutsideAltDevice = 0;
        private int _InsideAltDevice = 0;
        private int _StartDevice = 0;
        private int _EndDevice = 0;
        private int _RouteKind = 0;
        private int _CorrelDoubleFork = -1;
        private int _AgvNo = 65535;
        private string _CControlError = "";//ص˵
        private string _PickUpLocation = "0";

        
        public string CControlError
        {
            get { return _CControlError; }
            set { _CControlError = value; }
        }

        public CControl()
        {
        }
        public void StartOrder()
        {
            //ȼһ񵥵ġһʣеĵһ豸Ƿռãռִһ񵥣
            //Ȼһ豸F_AheadDetectǷ㣬ִһ񵥣
            //ʼִʱͬеĹ豸F_AssociateDeviceIndex,׼豸ָ
            //ҵ¼״̬F_StatusΪ1,豸Ϊռ״̬T_Base_deviceF_LockedState=豸ָ
            //дIO_Controlִ״̬FSTATUS=1;T_Manage_Taskִ״̬FSTATUS=1
            //·ϸF_LockedDeviceIndexжӦ豸ǹ豸           
            DataView taskDetail = DbHelperSQL.Query("select * from t_warehouse").Tables[0].DefaultView;
            string task_type = taskDetail[0]["F_TASK_TYPE"].ToString();
            string taskkind = " (F_ManageTaskKindIndex = 1 or F_ManageTaskKindIndex = 2 or F_ManageTaskKindIndex = 4) "; //ɵԶ
            //ù
            string strsql = "SELECT DISTINCT F_ManageTaskIndex AS MIndex,F_MonitorTaskLevel,F_ManageTaskKindIndex FROM T_Monitor_Task where " +
                taskkind + " order by F_ManageTaskKindIndex desc, F_MonitorTaskLevel desc, F_ManageTaskIndex asc";
            DataView dvM = new DataView();
            string strM = "";
            if (task_type != "Inventory")
            {
                try
                {
                    char[] sep = new char[1] { '-' };
                    string taskType = string.Empty;
                    string aa = DateTime.Now.Second.ToString() + "-" + DateTime.Now.Millisecond.ToString();
                    
                    
                    //豸ִָǰ,ɵгȡȫAGV,ҳҪ׷,ֱγ
                    //DataView allouttask = DbHelperSQL.Query("select * from T_Monitor_Task,T_Manage_Task where T_Monitor_Task.F_DeviceCommandIndex='4'and f_status='0' and T_Monitor_Task.F_ManageTaskIndex=T_Manage_Task.fid and T_Manage_Task.FCONTROLTASKTYPE='2'").Tables[0].DefaultView;
                    DataView outTaskCount = DbHelperSQL.Query("select * from t_manage_task where FCONTROLTASKTYPE=2 and FIntoStepOK='1' and fstatus=0").Tables[0].DefaultView;
                    if (outTaskCount.Count != 0)
                    {
                        for (int a = 0; a < outTaskCount.Count; a++)
                        {
                            List<BoxList> boxLists = new List<BoxList>();
                            if (a % 5 == 0 || a == 0)
                            {
                                CreateOrder createOrder = new CreateOrder();
                                createOrder.zoneid = 0;
                                createOrder.poolid = 1;
                                createOrder.orderno = DateTime.Now.ToString("yyyyMMddHHmmssfff");
                                if ( a==outTaskCount.Count-1)
                                {
                                    createOrder.appendflag = false;
                                }
                                else
                                {
                                    createOrder.appendflag = true;
                                }

                                BoxList boxList = new BoxList();
                                boxList.src = outTaskCount[a]["FSTARTCELL"].ToString();
                                boxList.dst = "12004";
                                boxList.box = outTaskCount[a]["FPALLETBARCODE"].ToString();
                                boxList.rgsTaskId = int.Parse(outTaskCount[a]["FID"].ToString());
                                boxLists.Add(boxList);
                                createOrder.boxlist = boxLists;
                                if (boxLists.Count != 0)
                                {
                                    CreateOrderResponse createOrderResponse = SendDataToAgv.SendOutOrInvTasksToAgv(createOrder);

                                    if (createOrderResponse.code == "0")
                                    {
                                        //ͳɹ,ȽΪִ
                                        DbHelperSQL.ExecuteSql("update t_manage_task set FStatus = '1'  where fid="+ outTaskCount[a]["FID"]);
                                        DbHelperSQL.ExecuteSql("update t_monitor_task set F_Status = '2'  where f_status=0 and F_DeviceCommandIndex='4' and F_ManageTaskIndex="+ outTaskCount[a]["FID"]);
                                        FrmMain.taskId = createOrderResponse.result.taskid;
                                        //FrmMain.taskId = 1560;
                                    }
                                }

                            }
                            else
                            {
                                AppendOrder appendOrder = new AppendOrder();
                                appendOrder.taskid = FrmMain.taskId;
                                List<BoxList> list = new List<BoxList>();
                                BoxList boxList = new BoxList();
                                boxList.src = outTaskCount[a]["FSTARTCELL"].ToString();
                                boxList.dst = "12004";
                                boxList.box = outTaskCount[a]["FPALLETBARCODE"].ToString();
                                boxList.rgsTaskId = int.Parse(outTaskCount[a]["FID"].ToString());
                                list.Add(boxList);
                                appendOrder.boxlist = list;
                                AppendCompleteCancelResponse appendResponse = SendDataToAgv.SendSuperaddTaskToAgv(appendOrder);
                                //ȡΪִ
                                DbHelperSQL.ExecuteSql("update t_manage_task set FStatus = '2'  where fid=" + outTaskCount[a]["FID"]);
                                DbHelperSQL.ExecuteSql("update t_monitor_task set F_Status=2 where F_DeviceCommandIndex=4 and F_ManageTaskIndex=" + Convert.ToInt32(outTaskCount[0]["FID"]));
                                if(a== outTaskCount.Count-1 ||a%5==0)
                                {
                                    CompleteOrder completeOrder = new CompleteOrder();
                                    completeOrder.taskid = FrmMain.taskId;
                                    AppendCompleteCancelResponse completeResponse = SendDataToAgv.SendStopAppendTaskToAgv(completeOrder);
                                }
                            }
                            

                        }
                        
                    }
                    DataView dv = DbHelperSQL.Query(strsql).Tables[0].DefaultView;
                    if (dv.Count > 0)
                    {
                        for (int i = 0; i < dv.Count; i++)
                        {
                            try
                            {
                                //1ȡÿݵĵһ豸ָ
                                strM = "select top 1  min(F_MonitorIndex) as minMidx,f_status from T_Monitor_Task where " + taskkind + " and F_ManageTaskIndex = " + dv[i]["MIndex"] + " GROUP BY F_MonitorIndex, F_Status";
                                dvM = DbHelperSQL.Query(strM).Tables[0].DefaultView;
                                //ȡ
                                if (dvM.Count > 0 && dvM[0]["minMidx"] != DBNull.Value)
                                {
                                    //ж⻹ǳ
                                    DataView InOut = DbHelperSQL.Query("select * from t_manage_task where fid='" + dv[i]["MIndex"] + "'").Tables[0].DefaultView;
                                    //жǷ漰AGV,漰,ֻȡ,Ż,AGVϱӿں
                                    DataView isAgv = DbHelperSQL.Query("select * from t_monitor_task,t_manage_task where t_manage_task.fid=t_monitor_task.F_ManageTaskIndex and t_monitor_task.f_monitorindex='" + dvM[0]["minMidx"] + "' and F_Status = '0' and F_DeviceCommandIndex='4'").Tables[0].DefaultView;
                                    if (isAgv.Count != 0)
                                    {
                                        //
                                        if (InOut[0]["FCONTROLTASKTYPE"].ToString() == "1")
                                        {
                                            //жǷǴִеĵһ,ǵһʹ·˵ӿ,ʹ׷ӽӿ
                                            //agv,ôҪĵһҲӦ·׷,Ҫжϴʱ豸ָǷ񻹴agvȡ
                                            //жǷβ,Ҫݵ***ֶж,***ֶԴƵصĽӿڽ,ýɵĵ
                                            //DataView isFirstManageTask = DbHelperSQL.Query("select * from t_manage_task where FCONTROLTASKTYPE=1 and FIntoStepOK='1'").Tables[0].DefaultView;
                                            DataView haveSendTask = DbHelperSQL.Query("select * from t_monitor_task where F_DeviceCommandIndex=5 and F_Status=0").Tables[0].DefaultView;
                                            DataView haveTakeTask = DbHelperSQL.Query("select * from t_monitor_task where F_DeviceCommandIndex=4 and F_Status=0").Tables[0].DefaultView;
                                            DataView monitorTask = DbHelperSQL.Query("select * from t_monitor_task").Tables[0].DefaultView;
                                            
                                            //Ҫӵ̻߼
                                            if (FrmMain.taskCount %5==0|| haveTakeTask.Count==0)//ûִеִе񵫶ͻ;,ֻڵǰȡ
                                            {
                                                CreateOrder createFirstOrder = new CreateOrder();
                                                createFirstOrder.zoneid = 0;
                                                createFirstOrder.poolid = 1;
                                                createFirstOrder.orderno = DateTime.Now.ToString("yyyyMMddHHmmssfff");

                                                //createFirstOrder.appendflag = false;//λfalse
                                                createFirstOrder.appendflag = true;
                                                DataView RFIDCount = DbHelperSQL.Query("select * from T_InTask_QTY").Tables[0].DefaultView;
                                                if (RFIDCount.Count > 0)
                                                {
                                                    int number = int.Parse(RFIDCount[0]["count"].ToString());
                                                    if (number == 0)
                                                    {createFirstOrder.appendflag = false;
                                                    }
                                                }
                                                List<BoxList> list = new List<BoxList>();
                                                BoxList boxList = new BoxList();
                                                boxList.src = "12004";
                                                boxList.dst = InOut[0]["FENDCELL"].ToString();
                                                boxList.box = InOut[0]["FPALLETBARCODE"].ToString();
                                                boxList.rgsTaskId = int.Parse(InOut[0]["FID"].ToString());
                                                list.Add(boxList);
                                                createFirstOrder.boxlist = list;
                                                CreateOrderResponse createResponse = SendDataToAgv.SendFirstInTaskToAgv(createFirstOrder);
                                                FrmMain.taskId = createResponse.result.taskid;

                                                //ȡΪִ
                                                DbHelperSQL.ExecuteSql("update t_monitor_task set F_Status=2 where F_DeviceCommandIndex=4 and F_ManageTaskIndex=" + Convert.ToInt32(InOut[0]["FID"]));     
                                                
                                            }
                                            else//ǵһ,ʹ׷ӽӿ
                                            {
                                                AppendOrder appendOrder = new AppendOrder();
                                                appendOrder.taskid = FrmMain.taskId ;
                                                List<BoxList> list = new List<BoxList>();
                                                BoxList boxList = new BoxList();
                                                boxList.src = "12004";
                                                boxList.dst = InOut[0]["FENDCELL"].ToString();
                                                boxList.box = InOut[0]["FPALLETBARCODE"].ToString();
                                                boxList.rgsTaskId = int.Parse(InOut[0]["FID"].ToString());
                                                list.Add(boxList);
                                                appendOrder.boxlist = list;
                                                AppendCompleteCancelResponse appendResponse = SendDataToAgv.SendSuperaddTaskToAgv(appendOrder);
                                                //ȡΪִ
                                                DbHelperSQL.ExecuteSql("update t_monitor_task set F_Status=2 where F_DeviceCommandIndex=4 and F_ManageTaskIndex=" + Convert.ToInt32(InOut[0]["FID"]));
                                                //׷ҪжǷβ,β,ý׷ӽӿ
                                                DataView RFIDCount = DbHelperSQL.Query("select * from T_InTask_QTY").Tables[0].DefaultView;
                                                if (RFIDCount.Count > 0)
                                                {
                                                    int number = int.Parse(RFIDCount[0]["count"].ToString());
                                                    if (number==0)
                                                    {
                                                        CompleteOrder completeOrder = new CompleteOrder();
                                                        completeOrder.taskid = FrmMain.taskId;
                                                        AppendCompleteCancelResponse completeResponse = SendDataToAgv.SendStopAppendTaskToAgv(completeOrder);
                                                    }
                                                }else if (InOut[0]["LAST_BOX_REMARK"].ToString() == "1")
                                                {

                                                    CompleteOrder completeOrder = new CompleteOrder();
                                                    completeOrder.taskid = FrmMain.taskId;
                                                    AppendCompleteCancelResponse completeResponse = SendDataToAgv.SendStopAppendTaskToAgv(completeOrder);
                                                }
                                            }
                                            FrmMain.taskCount += 1;
                                            if (FrmMain.taskCount % 5 == 0)
                                            {
                                                CompleteOrder completeOrder = new CompleteOrder();
                                                completeOrder.taskid = FrmMain.taskId;
                                                AppendCompleteCancelResponse completeResponse = SendDataToAgv.SendStopAppendTaskToAgv(completeOrder);
                                            }
                                        }

                                    }

                                    if (dvM[0]["F_Status"].ToString() == "0")
                                    {
                                        SendMonitorTask(Convert.ToInt32(dvM[0]["minMidx"]));
                                    }
                                    else
                                    {
                                        continue;
                                    }
                                }
                                else
                                {
                                    continue;
                                }
                            }
                            catch (Exception ex)
                            {
                                _CControlError = "ʱ" + ex.Message;
                            }
                        }//for
                        dv = null;
                        dvM = null;
                        return;
                    }
                    else
                    {
                        dv = null;
                        dvM = null;
                        //_CControlError = "ûִУ";
                        if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf(_CControlError) < 0)
                        {
                            FrmControlMonitor.FormInstance.FlashPanit("tsStatus", _CControlError, true);
                        }
                        if (string.IsNullOrEmpty(task_type))
                        {
                            FrmMain.taskCount = 0;
                        }
                        return;
                    }
                }
                catch (Exception ex)
                {
                    throw ex;
                }
            }
            else
            {
                //1.һ̿˵ɳɵ
                //2.ֻƵʱŻ,̿˵Ӧݵ
                //3.̿˵ÿӦȡ2*agvĵ
                //4.ÿֻ̿跢һ,Ϊµ
                //5.ÿȡǰ FIDжǰִˣȥ·һ

                DataView invGroupTask = DbHelperSQL.Query("select top 10 * from t_manage_task where FMANAGEID="+ taskDetail[0]["F_TASK_NO"].ToString()).Tables[0].DefaultView;

                bool IsinvGroupTask = true;
                foreach (DataRowView row in invGroupTask)
                {
                    // жϸ FID Ƿ lastBatchFids гֹ
                    if (CControl_Model.lastBatchFids.Contains(row["FID"].ToString()))
                    {
                        IsinvGroupTask = false;
                        break;
                    }
                }
                if (IsinvGroupTask && invGroupTask.Count>0)
                {
                    CControl_Model.lastBatchFids.Clear();
                    CreateOrder invCreateOrder = new CreateOrder();
                    List<BoxList> invBoxLists = new List<BoxList>();
                    invCreateOrder.zoneid = 0;//̿ģʽ,ִ˳
                    invCreateOrder.poolid = 1;
                    invCreateOrder.orderno = DateTime.Now.ToString("yyyyMMddHHmmssfff");
                    invCreateOrder.appendflag = false;//鲻׷
                    for (int i = 0; i < invGroupTask.Count; i++)
                    {
                        CControl_Model.lastBatchFids.Add(invGroupTask[i]["FID"].ToString());
                        BoxList invBoxList = new BoxList();
                        //ȡλͷŻλȡڵ
                        if (invGroupTask[i]["FCONTROLTASKTYPE"].ToString() == "1")
                        {
                            //
                            invBoxList.src = "12004";
                            invBoxList.dst = invGroupTask[i]["FENDCELL"].ToString();
                        }
                        else
                        {
                            //
                            invBoxList.src = invGroupTask[i]["FSTARTCELL"].ToString();
                            invBoxList.dst = "12004";
                        }
                        invBoxList.box = invGroupTask[i]["FPALLETBARCODE"].ToString();
                        invBoxList.rgsTaskId = Convert.ToInt32(invGroupTask[i]["FID"].ToString());
                        invBoxLists.Add(invBoxList);
                    }
                    invCreateOrder.boxlist = invBoxLists;
                    CreateOrderResponse invCreateOrderResponse = SendDataToAgv.SendOutOrInvTasksToAgv(invCreateOrder);
                }

                DataView dv = DbHelperSQL.Query(strsql).Tables[0].DefaultView;

                if (dv.Count > 0)
                {
                    for (int i = 0; i < dv.Count; i++)
                    {
                        try
                        {
                            //1ȡÿݵĵһ豸ָ
                            strM = "select top 1  min(F_MonitorIndex) as minMidx,f_status from T_Monitor_Task where " + taskkind + " and F_ManageTaskIndex = " + dv[i]["MIndex"] + " GROUP BY F_MonitorIndex, F_Status";
                            dvM = DbHelperSQL.Query(strM).Tables[0].DefaultView;
                            //ȡ
                            if (dvM.Count > 0 && dvM[0]["minMidx"] != DBNull.Value)
                            {
                                ////̿ʱagvֱӺ,ֻж߼
                                //if (dvM[0]["F_DeviceIndex"].ToString() == "11001")
                                //{
                                //    continue;
                                //}
                                if (dvM[0]["F_Status"].ToString() == "0")
                                {
                                    SendMonitorTask(Convert.ToInt32(dvM[0]["minMidx"]));
                                }
                                else
                                {
                                    continue;
                                }
                            }
                            else
                            {
                                continue;
                            }
                        }
                        catch (Exception ex)
                        {
                            _CControlError = "ʱ" + ex.Message;
                        }
                    }//for
                }
                else
                {
                    //_CControlError = "ûִУ";
                    if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf(_CControlError) < 0)
                    {
                        FrmControlMonitor.FormInstance.FlashPanit("tsStatus", _CControlError, true);
                    }
                }
            }
            strM = null;
            dvM = null;
            if (string.IsNullOrEmpty(task_type))
            {
                FrmMain.taskCount = 0;
            }
            return;
        }

        /// <summary>
        /// ȡÿݵĵһ豸Ƿ,trueʾfalseʾ
        /// </summary>
        /// <param name="minMidx"></param>
        /// <returns>trueʾfalseʾ</returns>
        public bool GetFirstDeviceIFLocked(int minMidx, bool checkLockedstate)
        {
            char[] sep = new char[1] { '-' };
            int msgIdx = 0;//Ϣ
            int adidx = 0;//豸豸ָ
            try
            {
                //Ҫ͵Ϣ
                if (GetSendInfo(minMidx) == false) { return true; }

                int DeviceIdx = _DeviceIdx;//豸
                int routeID = _routeID;//·Ψһ
                int serialNumber = _serialNumber;//·ϵ豸
                int ManageTaskIdx = _ManageTaskIdx;//
                int ManageKindIdx = _ManageKindIdx;//
                int DeviceOrder = _DeviceOrder;//豸
                int LockedState = _LockedState;
                int Associate = _Associate;
                int ManTaskReserve = _ManTaskReserve;
                string AheadDetect = _AheadDetect;
                int NumParam1 = _NumParam1;
                int NumParam2 = _NumParam2;
                int NumParam3 = _NumParam3;
                int NumParam4 = _NumParam4;
                int NumParam5 = _NumParam5;
                int NumParam6 = _NumParam6;
                string TxtParam = _TxtParam;
                int DeviceKind = _DeviceKind;
                int OutsideAltDevice = _OutsideAltDevice;
                int InsideAltDevice = _InsideAltDevice;
                int StartDevice = _StartDevice;
                int EndDevice = _EndDevice;
                int RouteKind = _RouteKind;
                int AgvNo = _AgvNo;

                //һ豸ǷռãRGVͶѶҪǷֲʱûִʱµĵ

                if (((_LockedState == 0) && (checkLockedstate == true)) || (checkLockedstate == false))
                {
                    #region Ƿ񱻵ԤԼF_ManTaskReserve͡INDEXͬ

                    if (_ManTaskReserve > 0 && (_ManTaskReserve.ToString() != _ManageKindIdx.ToString() + _ManageTaskIdx.ToString()))
                    {
                        return true;
                    }

                    #endregion Ƿ񱻵ԤԼF_ManTaskReserve͡INDEXͬ

                    //3F_AheadDetect(⿪ر顰;)
                    if (AheadDetectOK(minMidx, _AheadDetect) == true)//ǰͨ
                    {
                        //ͬеĹ豸F_AssociateDeviceIndex
                        //4Ƿй豸
                        //AssociateDevice = ccf.GetAssociateDevice(minMidx);

                        #region _Associate

                        if (_Associate != 0)
                        {
                            //5УҵеĹ豸豸ָ,ܷУ
                            //ظݹ鵽2
                            //split = AssociateDevice.Split(sep);
                            adidx = _Associate;
                            if (adidx != 0)
                            {
                                if (new MonitorTaskService().GetAssociateMonitor(minMidx) == 0)
                                {
                                    if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf("豸ָ" + minMidx.ToString() + "޷ù" + adidx.ToString() + "ܷʹ") < 0)
                                    {
                                        FrmControlMonitor.FormInstance.FlashPanit("tsStatus", "豸ָ" + minMidx.ToString() + "޷ù" + adidx.ToString() + "ܷʹ", true);
                                    }
                                    return true;
                                }
                                if (GetFirstDeviceIFLocked(adidx, false) == false)
                                {
                                    //6͹豸
                                    //CStaticClass.MessageIndex++;
                                    CStaticClass.MessageIndex = 1;
                                    msgIdx = (CStaticClass.MessageIndex);
                                    sdo = CommModeCreate.CreateSendDeviceOrder(_DeviceIdx);
                                    //жǷΪѶ豸
                                    bool sendok;
                                    int[] gc = new int[6] { _NumParam2, _NumParam3, _NumParam1, _NumParam5, _NumParam6, _NumParam4 }; //ccf.GetCoordinatesFromMonitorTask(adidx);//

                                    if ((_DeviceKind == 1) || (_DeviceKind == 6))
                                    {
                                        //1Ѷ4RGV6AGVҪŻȣ豸F_NeedOptimize='1'
                                        //ֱдT_Monitor_Task_Child
                                        if (ccf.NeedOptimize(_DeviceIdx) == true)
                                        {
                                            ccf.InsertMonitorOptimizeChildTask(adidx);
                                            sendok = true;
                                        }
                                        else
                                        {
                                            sendok = sdo.SendDeviceOrder(msgIdx, adidx, _DeviceOrder,
                                                _DeviceIdx, gc[0], gc[1], gc[2], gc[3], gc[4], gc[5]);
                                        }
                                    }
                                    else
                                    {
                                        sendok = sdo.SendDeviceOrder(msgIdx, adidx, _DeviceOrder, _DeviceIdx, gc[5]);
                                    }
                                    if (sendok == false)
                                    {
                                        return true;
                                    }
                                    else
                                    {
                                        //8ҵ¼״̬F_StatusΪ1,豸Ϊռ״̬T_Base_deviceF_LockedState=豸ָ
                                        DbHelperSQL.ExecuteSql("update T_Monitor_Task set F_StartTime='" + DateTime.Now.ToString("u") + "',F_Status='1' where F_MonitorIndex=" + adidx);
                                        //dbo.ExceSQL("update T_Base_device set F_LockedState=" + adidx + " where F_DeviceIndex=" + _DeviceIdx);
                                        //صԭ豸ֵ
                                        _DeviceIdx = DeviceIdx;//豸
                                        _routeID = routeID;//·Ψһ
                                        _serialNumber = serialNumber;//·ϵ豸
                                        _ManageTaskIdx = ManageTaskIdx;//
                                        _ManageKindIdx = ManageKindIdx;//
                                        _DeviceOrder = DeviceOrder;//豸
                                        _LockedState = LockedState;
                                        _Associate = Associate;
                                        _ManTaskReserve = ManTaskReserve;
                                        _AheadDetect = AheadDetect;
                                        _NumParam1 = NumParam1;
                                        _NumParam2 = NumParam2;
                                        _NumParam3 = NumParam3;
                                        _NumParam4 = NumParam4;
                                        _NumParam5 = NumParam5;
                                        _NumParam6 = NumParam6;
                                        _TxtParam = TxtParam;
                                        _DeviceKind = DeviceKind;
                                        _OutsideAltDevice = OutsideAltDevice;
                                        _InsideAltDevice = InsideAltDevice;
                                        _StartDevice = StartDevice;
                                        _EndDevice = EndDevice;
                                        _RouteKind = RouteKind;
                                        _AgvNo = AgvNo;
                                        return false;
                                    }
                                }
                                else
                                {
                                    return true;
                                }
                            }
                            else//
                            {
                                //صԭ豸ֵ
                                _DeviceIdx = DeviceIdx;//豸
                                _routeID = routeID;//·Ψһ
                                _serialNumber = serialNumber;//·ϵ豸
                                _ManageTaskIdx = ManageTaskIdx;//
                                _ManageKindIdx = ManageKindIdx;//
                                _DeviceOrder = DeviceOrder;//豸
                                _LockedState = LockedState;
                                _Associate = Associate;
                                _ManTaskReserve = ManTaskReserve;
                                _AheadDetect = AheadDetect;
                                _NumParam1 = NumParam1;
                                _NumParam2 = NumParam2;
                                _NumParam3 = NumParam3;
                                _NumParam4 = NumParam4;
                                _NumParam5 = NumParam5;
                                _NumParam6 = NumParam6;
                                _TxtParam = TxtParam;
                                _DeviceKind = DeviceKind;
                                _OutsideAltDevice = OutsideAltDevice;
                                _InsideAltDevice = InsideAltDevice;
                                _StartDevice = StartDevice;
                                _EndDevice = EndDevice;
                                _RouteKind = RouteKind;
                                _CControlError = "ֵõ豸ָϸ·ļĹ豸ָƥ䣬ϵͳΪûй豸ָ";
                                return false;
                            }
                        }

                        #endregion _Associate
                        else
                        {
                            //صԭ豸ֵ
                            _DeviceIdx = DeviceIdx;//豸
                            _routeID = routeID;//·Ψһ
                            _serialNumber = serialNumber;//·ϵ豸
                            _ManageTaskIdx = ManageTaskIdx;//
                            _ManageKindIdx = ManageKindIdx;//
                            _DeviceOrder = DeviceOrder;//豸
                            _LockedState = LockedState;
                            _Associate = Associate;
                            _ManTaskReserve = ManTaskReserve;
                            _AheadDetect = AheadDetect;
                            _NumParam1 = NumParam1;
                            _NumParam2 = NumParam2;
                            _NumParam3 = NumParam3;
                            _NumParam4 = NumParam4;
                            _NumParam5 = NumParam5;
                            _NumParam6 = NumParam6;
                            _TxtParam = TxtParam;
                            _DeviceKind = DeviceKind;
                            _OutsideAltDevice = OutsideAltDevice;
                            _InsideAltDevice = InsideAltDevice;
                            _StartDevice = StartDevice;
                            _EndDevice = EndDevice;
                            _RouteKind = RouteKind;

                            return false;
                        }
                    }
                    else
                    {
                        return true;
                    }
                }
                else
                {
                    return true;
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
            finally
            {
            }
        }

        /// <summary>
        /// ָ豸ִȾǷ
        /// </summary>
        /// <param name="minMidx">Ψһ</param>
        /// <returns>Ƿͨtrueʾ豸ִȾ</returns>
        public bool AheadDetectOK(int minMidx, string _AheadDetect)
        {
            //(⿪ر顰;)
            DataView dvdv;
            DataTable dt;
            try
            {
                AheadDetectUnallow.Remove(0, AheadDetectUnallow.Length);//dzf
                int[] States;

                int DeviceIdx = _DeviceIdx;
                int TaskIdx = minMidx;
                int fid = ccf.GetManageTaskIndexfromMonitor(TaskIdx);
                int mti = ccf.GetManageTaskKindIndexFromMonitor(TaskIdx);
                int DeviceKind = BaseDeviceService.GetDeviceKindIdx(DeviceIdx);//20100617
                //20100706
                devinfo = BaseDeviceService.GetDeviceInfo(DeviceIdx);
                if (devinfo.CommType == "OPCClient")//20100706 ֻOPCClientͨѶ͵ļ豸״̬
                {
                    #region OPCͨѶ豸豸Ƿ

                    //gds = CommModeCreate.CreateGetDeviceState(DeviceIdx);
                    try
                    {
                        //States = gds.GetDeviceState(DeviceIdx, TaskIdx);//1,2,5豸
                        States = CStaticClass.GetDeviceState(DeviceIdx);
                    }
                    catch (Exception ex)
                    {
                        if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf("ȡ״̬ʱ" + ex.Message) < 0)
                        {
                            FrmControlMonitor.FormInstance.FlashPanit("tsStatus", "ȡ״̬ʱ" + ex.Message, true);
                        }
                        return false;
                    }
                    if (States == null)//ûյκηֵ
                    {
                        if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf("ʱǰûյPLCݣ") < 0)
                        {
                            FrmControlMonitor.FormInstance.FlashPanit("tsStatus", "ʱǰûյPLCݣ", true);
                        }
                        return false;
                    }
                    if ((States[1] == 1) || (States[1] >= 30))//л߹
                    {
                        if (States[1] >= 30)
                        {
                            devinfo = BaseDeviceService.GetDeviceInfo(DeviceIdx);
                            int ErrId = States[1];
                            //20090910
                            //й¼Ĺ豸ţظ
                            string devstr = "SELECT F_DeviceIndex FROM T_Base_Device where F_DeviceIndex=" + DeviceIdx + " and F_ErrorTaskNo=" + TaskIdx + "";
                            dt = DbHelperSQL.Query(devstr).Tables[0];
                            if (dt.Rows.Count >= 1)
                            {
                                //dbo.ExceSQL("update T_Monitor_Task set F_Status= " + ErrId + "  where (F_MonitorIndex= " + TaskIdx + ") and ((F_Status<> " + ErrId + ") and (F_Status<> 3))");
                                return false;
                            }
                            //¼ϵ豸ִе
                            DbHelperSQL.ExecuteSql("update T_Base_Device set F_ErrorTaskNo= " + TaskIdx + "  where F_DeviceIndex= " + DeviceIdx);

                            if (CStaticClass.IsEquals(devinfo.ReturnMessage, States, 2) == true) return false;

                            errs = BaseDeviceService.GetErrorInfo(Convert.ToInt32(_DeviceKind.ToString() + States[1].ToString()));
                            if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf("豸" + DeviceIdx + "йϣ" + errs.ErrorName) < 0)
                            {
                                FrmControlMonitor.FormInstance.FlashPanit("tsStatus", "豸" + DeviceIdx + "йϣ" + errs.ErrorName, true);
                            }
                            FrmMain.FormInstance.notifyIcon1.BalloonTipText = ":" + devinfo.DeviceName + "," + DeviceIdx + "ϣ" + errs.ErrorName;
                            FrmMain.FormInstance.notifyIcon1.ShowBalloonTip(10000, "", devinfo.DeviceName + "," + DeviceIdx + "ϣ" + errs.ErrorName, System.Windows.Forms.ToolTipIcon.Warning);
                            if (mti == 1)
                            {
                                string sResult = string.Empty;
                                //RGDWCSServices.WMS.uploadWhExceptionInfo ss = new RGDWCSServices.WMS.uploadWhExceptionInfo();
                                //ss.Notify(devinfo.DeviceIndex.ToString(), devinfo.DeviceName, "׼ִйʱ" + devinfo.DeviceName + "," + DeviceIdx + errs.ErrorName, DateTime.Now.ToString(), out sResult);
                            }
                            DbHelperSQL.ExecuteSql("update T_Manage_Task set FERRORCODE='" + "׼ִйʱ" + devinfo.DeviceName + "," + DeviceIdx + errs.ErrorName + "' where F_ManageTaskKindIndex=" + mti + " and FID=" + fid);
                        }
                        return false;
                    }
                    //20110724
                    if (devinfo.DeviceKind == 1 && States[3] == 0)//ѶΪ0ʱ
                    {
                        return false;
                    }

                    #endregion OPCͨѶ豸豸Ƿ
                }
                //#endregion

                #region ǰϢ

                if ((_AheadDetect != "") && (_AheadDetect != null))
                {
                    char[] cc = new char[1];
                    cc[0] = ';';
                    string[] AheadDetect = _AheadDetect.Split(cc);
                    char[] dd = new char[1] { '.' };//20101118
                    string[] DS;

                    //ͨ๤IGetDeviceState
                    //IGetDeviceState GDS;
                    int s = 0;
                    //int[] sss;
                    int fs = 1;
                    //int[] fsss;
                    //ȡ翪ֵ
                    for (int i = AheadDetect.GetLowerBound(0); i <= AheadDetect.GetUpperBound(0); i++)
                    {
                        if (AheadDetect[i].Trim().Length <= 0) continue;
                        if (AheadDetect[i].Trim().Substring(0, 1).ToUpper() == "H")//߼̽
                        {
                            //豸ȡ
                            dvdv = DbHelperSQL.Query("SELECT F_DeviceIndex, F_HaveGoods FROM T_Base_Device where F_DeviceIndex=" +
                                Convert.ToInt32(AheadDetect[i].Trim().Substring(1)) + "").Tables[0].DefaultView;
                            if (dvdv.Count > 0)
                            {
                                if (Convert.ToInt32(dvdv[0]["F_HaveGoods"]) != 1)//dzf
                                {
                                    AheadDetectUnallow.Append(AheadDetect[i].Trim().Substring(1) + "豸߼");
                                }
                                fs = fs & Convert.ToInt32(dvdv[0]["F_HaveGoods"]);
                            }

                            continue;
                        }
                        if (AheadDetect[i].Trim().Substring(0, 1).ToUpper() == "N")//߼̽
                        {
                            //豸ȡ
                            dvdv = DbHelperSQL.Query("SELECT F_DeviceIndex, F_HaveGoods FROM T_Base_Device where  F_DeviceIndex=" +
                                Convert.ToInt32(AheadDetect[i].Trim().Substring(1)) + "").Tables[0].DefaultView;
                            if (dvdv.Count > 0)
                            {
                                if (Convert.ToInt32(dvdv[0]["F_HaveGoods"]) != 0)//dzf
                                {
                                    AheadDetectUnallow.Append(AheadDetect[i].Trim().Substring(1) + "豸߼");
                                }
                                s = s + Convert.ToInt32(dvdv[0]["F_HaveGoods"]);
                            }
                            continue;
                        }
                        //20090803豸Ƿidle
                        if (AheadDetect[i].Trim().Substring(0, 1).ToUpper() == "I")//豸Ƿidle
                        {
                            States = CStaticClass.GetDeviceState(Convert.ToInt32(AheadDetect[i].Trim().Substring(1)));

                            if (States != null)
                            {
                                if (States[1] != 0)//dzf
                                {
                                    AheadDetectUnallow.Append(AheadDetect[i].Trim().Substring(1) + "豸У");
                                }
                                s = s + States[1];
                            }
                            continue;
                        }

                        #region 20101118豸ź

                        //豸ĹźţD-12001.0ʾͻ12001ڿD12001.1ʾͻ12001ڿ
                        //D-12001.2ʾͻ12001ĶλߵλD12001.3ʾͻ12001Ķڵλǵ͵λ
                        if (AheadDetect[i].Trim().Substring(0, 1).ToUpper() == "D")
                        {
                            DS = AheadDetect[i].Trim().Substring(1).Split(dd);
                            int devicebyte = 0; int devbit = 0;
                            int.TryParse(DS[0], out devicebyte);
                            int.TryParse(DS[1], out devbit);
                            //жǷ⸺ֵǷ㿪ִǰᣩ
                            if (devicebyte < 0)
                            {
                                //ͨѶӿڻùĿ
                                //GDS = CommModeCreate.CreateGetDeviceState(-Convert.ToInt32(AheadDetect[i]));
                                //fsss = GDS.GetDeviceState(-Convert.ToInt32(AheadDetect[i]), Convert.ToInt32(dvD[0]["F_MonitorIndex"]));
                                int fsn = CStaticClass.GetDevicePhotoelectric(-devicebyte, devbit);
                                if (fsn != 1)//dzf
                                {
                                    StringBuilder kg = new StringBuilder();
                                    switch (devbit)
                                    {
                                        case 0:
                                            kg.Append("");
                                            break;

                                        case 1:
                                            kg.Append("λ");
                                            break;

                                        default:
                                            break;
                                    }
                                    AheadDetectUnallow.Append(Convert.ToInt32((-devicebyte)).ToString() + kg.ToString() + "翪زڵ");
                                }
                                if (fsn == -1)//20101220
                                {
                                    return false;
                                }
                                fs = fs & fsn;
                            }
                            else
                            {//ΪĿ
                                //ͨѶӿڻùĿ
                                //GDS = CommModeCreate.CreateGetDeviceState(Convert.ToInt32(AheadDetect[i]));
                                //sss = GDS.GetDeviceState(Convert.ToInt32(AheadDetect[i]), Convert.ToInt32(dvD[0]["F_MonitorIndex"]));
                                int sssn = CStaticClass.GetDevicePhotoelectric(devicebyte, devbit);
                                if (sssn != 0)//dzf
                                {
                                    StringBuilder kg = new StringBuilder();
                                    switch (devbit)
                                    {
                                        case 0:
                                            kg.Append("");
                                            break;

                                        case 1:
                                            kg.Append("λ");
                                            break;

                                        case 2:
                                            kg.Append("λ");
                                            break;

                                        default:
                                            break;
                                    }
                                    AheadDetectUnallow.Append(devicebyte.ToString() + kg.ToString() + "翪ڵ");
                                }
                                if (sssn == -1)//20101220
                                {
                                    return false;
                                }
                                s = s + sssn;
                            }
                        }

                        #endregion 20101118豸ź

                        if ((s != 0) || (fs != 1))//dzf
                        {
                            UpdateAheadDetectUnallow(AheadDetectUnallow, minMidx);
                            return false;
                        }
                    }
                }

                #endregion ǰϢ

                return true;//20101011
            }
            catch (Exception ex)
            {
                throw ex;
            }
            finally
            {
                dt = null;
                dvdv = null;
            }
        }

        /// <summary>
        /// ÷Ϣ
        /// </summary>
        /// <param name="minMidx">豸ָ</param>
        public bool GetSendInfo(int minMidx)
        {
            DataView dvD;
            try
            {
                string strD = "";
                strD = "SELECT F_DeviceKindIndex,F_NumParam1,F_NumParam2,F_NumParam3,F_NumParam4," +
                    "F_NumParam5,F_NumParam6,F_TxtParam,F_AheadDetect,F_ManTaskReserve,F_LockedState," +
                    "F_Associate,F_SerialNumber,F_RouteID,F_DeviceIndex,F_DeviceCommandIndex," +
                    "F_MonitorIndex,F_ManageTaskIndex,F_ManageTaskKindIndex,F_OutsideAltDevice," +
                    "F_InsideAltDevice,F_StartDevice,F_EndDevice,F_RouteKind,F_CorrelDoubleFork,F_UseAwayFork,F_AgvNo,F_PickUpLocation " +
                    " FROM  V_Monitor_Route_Device where F_MonitorIndex=" + minMidx;
                dvD = DbHelperSQL.Query(strD).Tables[0].DefaultView;

                if (dvD.Count > 0)
                {
                    if (dvD[0]["F_AheadDetect"] != DBNull.Value)
                    {
                        _AheadDetect = dvD[0]["F_AheadDetect"].ToString();
                    }
                    else
                    {
                        _AheadDetect = "";
                    }
                    if (dvD[0]["F_ManTaskReserve"] != DBNull.Value)
                    {
                        _ManTaskReserve = Convert.ToInt32(dvD[0]["F_ManTaskReserve"]);
                    }
                    else
                    {
                        _ManTaskReserve = 0;
                    }
                    if (dvD[0]["F_Associate"] != DBNull.Value)
                    {
                        _Associate = Convert.ToInt32(dvD[0]["F_Associate"]);
                    }
                    else
                    {
                        _Associate = 0;
                    }
                    if (dvD[0]["F_LockedState"] != DBNull.Value)
                    {
                        _LockedState = Convert.ToInt32(dvD[0]["F_LockedState"]);
                    }
                    else
                    {
                        _LockedState = 0;
                    }
                    if (dvD[0]["F_NumParam1"] != DBNull.Value)
                    {
                        _NumParam1 = Convert.ToInt32(dvD[0]["F_NumParam1"]);
                    }
                    else
                    {
                        _NumParam1 = 0;
                    }
                    if (dvD[0]["F_NumParam2"] != DBNull.Value)
                    {
                        _NumParam2 = Convert.ToInt32(dvD[0]["F_NumParam2"]);
                    }
                    else
                    {
                        _NumParam2 = 0;
                    }
                    if (dvD[0]["F_NumParam3"] != DBNull.Value)
                    {
                        _NumParam3 = Convert.ToInt32(dvD[0]["F_NumParam3"]);
                    }
                    else
                    {
                        _NumParam3 = 0;
                    }
                    if (dvD[0]["F_NumParam4"] != DBNull.Value)
                    {
                        _NumParam4 = Convert.ToInt32(dvD[0]["F_NumParam4"]);
                    }
                    else
                    {
                        _NumParam4 = 0;
                    }
                    if (dvD[0]["F_NumParam5"] != DBNull.Value)
                    {
                        _NumParam5 = Convert.ToInt32(dvD[0]["F_NumParam5"]);
                    }
                    else
                    {
                        _NumParam5 = 0;
                    }
                    if (dvD[0]["F_NumParam6"] != DBNull.Value)
                    {
                        _NumParam6 = Convert.ToInt32(dvD[0]["F_NumParam6"]);
                    }
                    else
                    {
                        _NumParam6 = 0;
                    }
                    if (dvD[0]["F_TxtParam"] != DBNull.Value)
                    {
                        _TxtParam = dvD[0]["F_TxtParam"].ToString();
                    }
                    else
                    {
                        _TxtParam = "-";
                    }
                    _serialNumber = Convert.ToInt32(dvD[0]["F_SerialNumber"]);
                    _routeID = Convert.ToInt32(dvD[0]["F_RouteID"]);
                    _DeviceIdx = Convert.ToInt32(dvD[0]["F_DeviceIndex"]);
                    _DeviceOrder = Convert.ToInt32(dvD[0]["F_DeviceCommandIndex"]);
                    _ManageKindIdx = Convert.ToInt32(dvD[0]["F_ManageTaskKindIndex"]);
                    _ManageTaskIdx = Convert.ToInt32(dvD[0]["F_ManageTaskIndex"]);
                    _DeviceKind = Convert.ToInt32(dvD[0]["F_DeviceKindIndex"]);
                    if (dvD[0]["F_OutsideAltDevice"] != DBNull.Value)
                    {
                        _OutsideAltDevice = Convert.ToInt32(dvD[0]["F_OutsideAltDevice"]);
                    }
                    else
                    {
                        _OutsideAltDevice = 0;
                    }
                    if (dvD[0]["F_InsideAltDevice"] != DBNull.Value)
                    {
                        _InsideAltDevice = Convert.ToInt32(dvD[0]["F_InsideAltDevice"]);
                    }
                    else
                    {
                        _InsideAltDevice = 0;
                    }
                    _StartDevice = Convert.ToInt32(dvD[0]["F_StartDevice"]);
                    _EndDevice = Convert.ToInt32(dvD[0]["F_EndDevice"]);
                    _RouteKind = Convert.ToInt32(dvD[0]["F_RouteKind"]);
                    if (dvD[0]["F_CorrelDoubleFork"] != DBNull.Value)
                    {
                        _CorrelDoubleFork = Convert.ToInt32(dvD[0]["F_CorrelDoubleFork"]);
                    }
                    else
                    {
                        _CorrelDoubleFork = -1;
                    }
                    if (dvD[0]["F_AgvNo"] != DBNull.Value)
                    {
                        _AgvNo = Convert.ToInt32(dvD[0]["F_AgvNo"]);
                    }
                    else
                    {
                        _AgvNo = 65535;
                    }
                    if (dvD[0]["F_PickUpLocation"] != DBNull.Value)
                    {
                        _PickUpLocation = dvD[0]["F_PickUpLocation"].ToString();
                    }
                    else
                    {
                        _PickUpLocation = "0";
                    }

                    return true;
                }
                else
                {
                    return false;
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
            finally
            {
                dvD = null;
            }
        }

        /// <summary>
        /// ָŵ
        /// </summary>
        /// <param name="MonitorIndex"></param>
        /// <returns></returns>
        public bool SendMonitorTask(int MonitorIndex)
        {
            lock (thisLock)
            {
                char[] sep = new char[1] { '-' };
                int msgIdx = 0;//Ϣ
                bool sendok;
                //string aa222 = DateTime.Now.Second.ToString() + "-" + DateTime.Now.Millisecond.ToString();

                #region ˫豸ָִͬУ;Ѷǰλý豸ָ

                MonitorIndex = GetDoubleForkMinRouteTask(MonitorIndex);

                #endregion ˫豸ָִͬУ;Ѷǰλý豸ָ

                //string aa22 = DateTime.Now.Second.ToString() + "-" + DateTime.Now.Millisecond.ToString();
                //Ҫ͵Ϣ
                if (GetSendInfo(MonitorIndex) == false) { return false; }
                devinfo = BaseDeviceService.GetDeviceInfo(_DeviceIdx);//dzf
                if ((_DeviceKind == 1) && (devinfo.XCoor == 0))//dzf
                {//Ѷ
                    AheadDetectUnallow.Clear();
                    AheadDetectUnallow.Append(_DeviceIdx.ToString() + "ĹͨѶڵûϵ磡");
                    UpdateAheadDetectUnallow(AheadDetectUnallow, MonitorIndex);
                    return false;
                }

                #region ֹ

                if (ccf.GetManageTaskKindIndexFromMonitor(MonitorIndex) == 4)
                {
                    CStaticClass.MessageIndex = 1;
                    msgIdx = (CStaticClass.MessageIndex);
                    sdo = CommModeCreate.CreateSendDeviceOrder(_DeviceIdx);
                    int[] gc = new int[6] { _NumParam2, _NumParam3, _NumParam1, _NumParam5, _NumParam6, _NumParam4 };
                    if (_DeviceKind == 1)//
                    {
                        sendok = sdo.SendDeviceOrder(msgIdx, MonitorIndex, _DeviceOrder, _DeviceIdx, gc[0], gc[1], gc[2], gc[3], gc[4], gc[5]);
                    }
                    else if (_DeviceKind == 32 || _DeviceKind == 33)//ѡ-
                    {
                        sendok = sdo.SendDeviceOrder(msgIdx, MonitorIndex, _DeviceOrder, _DeviceIdx, _PickUpLocation);
                    }
                    else
                    {
                        sendok = sdo.SendDeviceOrder(msgIdx, MonitorIndex, _DeviceOrder, _DeviceIdx, gc[5]);
                    }
                    if (sendok == false)
                    {
                        if (sdo.CommLayerError != null)
                        {
                            if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf(sdo.CommLayerError) < 0)
                            {
                                FrmControlMonitor.FormInstance.FlashPanit("tsStatus", sdo.CommLayerError, true);
                            }
                        }
                        return false;
                    }
                    else
                    {
                        //////////////////////////
                        ccf.SendOrderSuccess(_ManageKindIdx, _ManageTaskIdx, MonitorIndex, _DeviceIdx, _routeID);

                        #region ˫ͬͬʱ淢ɹ

                        //20100323
                        devinfo = BaseDeviceService.GetDeviceInfo(_DeviceIdx);
                        if (devinfo.IfCorrelDoubleFork == "1")
                        {
                            //20220303 ˫ע
                            //if (Model.CGeneralFunction.DoubleForkIfSync(MonitorIndex, _DeviceIdx, _DeviceKind) == true)
                            //{
                            //    string[] df = Model.CGeneralFunction.GetDoubleForkMonitorInfo(MonitorIndex, _DeviceIdx);
                            //    if (df != null)
                            //    {
                            //        ccf.SendOrderSuccess(ccf.GetManageTaskKindIndexFromMonitor(Convert.ToInt32(df[0])), ccf.GetManageTaskIndexfromMonitor(Convert.ToInt32(df[0])), Convert.ToInt32(df[0]), Convert.ToInt32(df[2]), Convert.ToInt32(df[3]));
                            //        //dbo.ExceSQL("update T_Monitor_Task set F_CorrelDoubleFork=" + df[0] + " where F_MonitorIndex=" + MonitorIndex + "");
                            //        //dbo.ExceSQL("update T_Monitor_Task set F_CorrelDoubleFork=" + MonitorIndex + " where F_MonitorIndex=" + df[0] + "");
                            //    }
                            //}
                        }

                        #endregion ˫ͬͬʱ淢ɹ

                        return true;
                    }
                }

                #endregion ֹ

                #region Զ(taskkind == 12)

                //(taskkind == 12)Զʱ
                //2ȡÿݵĵһ豸״̬
                //string aa221 = DateTime.Now.Second.ToString() + "-" + DateTime.Now.Millisecond.ToString();
                if (GetFirstDeviceIFLocked(MonitorIndex, true) == false)//ûб
                {
                    //7ʹ豸
                    //CStaticClass.MessageIndex++;
                    CStaticClass.MessageIndex = 1;
                    msgIdx = (CStaticClass.MessageIndex);
                    sdo = CommModeCreate.CreateSendDeviceOrder(_DeviceIdx);
                    //ж豸ǷΪѶRGVͣǣ
                    int[] gc = new int[6] { _NumParam2, _NumParam3, _NumParam1, _NumParam5, _NumParam6, _NumParam4 };//
                    if (gc == null)
                    {
                        this._CControlError += "ʱȡ豸꣡";
                        return false;
                    }
                    if (_DeviceKind == 1)
                    {
                        //1Ѷ4RGV6AGVҪŻȣ豸F_NeedOptimize='1'
                        //ֱдT_Monitor_Task_Child
                        if (ccf.NeedOptimize(_DeviceIdx) == true)
                        {
                            ccf.InsertMonitorOptimizeChildTask(MonitorIndex);
                            sendok = true;
                        }
                        else
                        {
                            sendok = sdo.SendDeviceOrder(msgIdx, MonitorIndex, _DeviceOrder, _DeviceIdx, gc[0], gc[1], gc[2], gc[3], gc[4], gc[5]);
                        }
                    }
                    else if (_DeviceKind == 32)
                    {
                        sendok = sdo.SendDeviceOrder(msgIdx, MonitorIndex, _DeviceOrder, _DeviceIdx, _PickUpLocation);
                    }
                    else if (_DeviceKind == 33)
                    {
                        sendok = sdo.SendDeviceOrder(msgIdx, MonitorIndex, _DeviceOrder, _DeviceIdx, _PickUpLocation);
                    }
                    else
                    {
                        
                        sendok = sdo.SendDeviceOrder(msgIdx, MonitorIndex, _DeviceOrder, _DeviceIdx, gc[5]); // ͻķָ  _NumParam4ʾĿλ
                    }
                    if (sendok == false)
                    {
                        if (sdo.CommLayerError != null)
                        {
                            if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf(sdo.CommLayerError) < 0)
                            {
                                FrmControlMonitor.FormInstance.FlashPanit("tsStatus", sdo.CommLayerError, true);
                            }
                        }
                        return false;
                    }
                    else//ɹ
                    {
                        //////////////////////////
                        DbHelperSQL.ExecuteSql("update T_Monitor_Task set F_SendFlag='1' where F_MonitorIndex=" + MonitorIndex);//20100905ֻط
                        ccf.SendOrderSuccess(_ManageKindIdx, _ManageTaskIdx, MonitorIndex, _DeviceIdx, _routeID);

                        #region ˫ͬͬʱ淢ɹ

                        //20100323
                        devinfo = BaseDeviceService.GetDeviceInfo(_DeviceIdx);
                        if (devinfo.IfCorrelDoubleFork == "1")
                        {
                            //if (Model.CGeneralFunction.DoubleForkIfSync(MonitorIndex, _DeviceIdx, _DeviceKind) == true)
                            //{
                            //    string[] df = Model.CGeneralFunction.GetDoubleForkMonitorInfo(MonitorIndex, _DeviceIdx);
                            //    if (df != null)
                            //    {
                            //        ccf.SendOrderSuccess(ccf.GetManageTaskKindIndexFromMonitor(Convert.ToInt32(df[0])), ccf.GetManageTaskIndexfromMonitor(Convert.ToInt32(df[0])), Convert.ToInt32(df[0]), Convert.ToInt32(df[2]), Convert.ToInt32(df[3]));
                            //        //dbo.ExceSQL("update T_Monitor_Task set F_CorrelDoubleFork=" + df[0] + " where F_MonitorIndex=" + MonitorIndex + "");
                            //        //dbo.ExceSQL("update T_Monitor_Task set F_CorrelDoubleFork=" + MonitorIndex + " where F_MonitorIndex=" + df[0] + "");
                            //    }
                            //}
                        }

                        #endregion ˫ͬͬʱ淢ɹ

                        return true;
                    }
                }
                else
                {
                    return false;
                }

                #endregion Զ(taskkind == 12)
            }
        }

        private int GetDeviceFromMonitor(int monitorIndex)
        {
            DataView dv = DbHelperSQL.Query("SELECT F_MonitorIndex, F_DeviceIndex FROM T_Monitor_Task WHERE (F_MonitorIndex = " + monitorIndex + ")").Tables[0].DefaultView;
            if (dv.Count > 0)
            {
                return Convert.ToInt32(dv[0]["F_DeviceIndex"]);
            }
            else
            {
                return -1;
            }
        }

        /// <summary>
        /// ÷ ȫɾ  ԭ˫ĴĿǰû˫ֳ 20220303
        /// </summary>
        /// <param name="taskno"></param>
        /// <returns></returns>
        private int GetDoubleForkMinRouteTask(int taskno)
        {
            return taskno;
        }

        private bool IfExcuteFirst(int TaskIndex)
        {
            int[] zxy = ccf.GetCoordinatesFromMonitorTask(TaskIndex);
            string zxystr = (zxy[3].ToString().Length == 1 ? "0" + zxy[0].ToString() : zxy[3].ToString()) + "-" +
                    ((zxy[4].ToString().Length == 1) ? ("0" + zxy[4].ToString()) : (zxy[4].ToString())) + "-" +
                    ((zxy[5].ToString().Length == 1) ? ("0" + zxy[5].ToString()) : (zxy[5].ToString()));

            DataView dv = DbHelperSQL.Query("SELECT F_MoveCellCode FROM T_Base_LaneInfo WHERE (F_MoveCellCode = '" + zxystr + "')").Tables[0].DefaultView;
            if (dv.Count > 0)//λִ
            {
                return false;
            }
            return true;
        }

        private void UpdateAheadDetectUnallow(StringBuilder aheadUnallow, int taskindex)//dzf
        {
            #region

            int rec = 0;
            if (aheadUnallow.Length > 0)
            {
                rec = DbHelperSQL.ExecuteSql(string.Format("UPDATE T_Monitor_Task SET  F_ErrorCode ='{0}' WHERE F_MonitorIndex ={1} ", aheadUnallow.ToString(), taskindex));//and F_ErrorCode <>'{0}'
            }
            else
            {
                rec = DbHelperSQL.ExecuteSql(string.Format("UPDATE T_Monitor_Task SET  F_ErrorCode ='' WHERE F_MonitorIndex ={1} and F_ErrorCode <>''", aheadUnallow.ToString(), taskindex));
            }

            #endregion
        }

        //public string sendAGVTask(string F_MonitorIndex,string cell,string barcode)
        //{
        //    string url = "POST  /adapter/task/create";
        //    TaskApply taskapply = new TaskApply();
        //    task ts = new task();
        //    taskDescribe des = new taskDescribe();
        //    ts.TaskCode = F_MonitorIndex;
        //    des.ContainerCode = barcode;
        //    des.ContainerType = "ͺ";
        //    des.FromLocationCode = "12005";
        //    des.LocationCode = cell;
        //    ts.TaskDescribe.Add(des);
        //    taskapply.Tasks.Add(ts);
        //    taskapply.TaskType = "tote_inbound";
        //    string json = JsonConvert.SerializeObject(taskapply);
        //    string getJson = GetJson.Post(url, json);
        //    ApplyResult result = JsonConvert.DeserializeObject<ApplyResult>(getJson);
        //    if (result.CODE == "0")
        //    {
        //        return "success";
        //    }
        //    else
        //    {
        //        return "AGVʧ,Ϊԭ" + result.MSG;
        //    }

        //}
    }
}