using RGD.Common;
using RGD.DataService;
using RGD.DBUtility;
using RGD.OPCClient;
using System;

namespace RGD.WCS
{
    /// <summary>
    /// Creator:rgd
    /// صȫֱĶ
    /// </summary>
    public static class CStaticClass
    {
        //public static string[] TestLaneCell = new string[3];
        //public static int[] TestLane = new int[3];
        //public static bool StopTestLane = false;
        //public static bool TestOut = true;
        //public static bool TestIn = true;
        //public static int[] testWorkstation = new int[48];

        //public static bool IfRemind = true;
        //public static System.Windows.Forms.Form FormMonitor = null;

        //public static int gcCount = 0;
        //public static Dictionary<int, System.IO.Ports.SerialPort> serialports = new Dictionary<int, System.IO.Ports.SerialPort>();

        /// <summary>
        /// ־ϻӱʱ
        /// </summary>
        public static string SaveDays = "30";//20110603

        /// <summary>
        /// CParsePLCDataݽ ʱʶ
        /// </summary>
        public static DateTime routetime = DateTime.Now;

        /// <summary>
        /// CParsePLCDataݽ ʱʶ
        /// </summary>
        public static DateTime reporttime = DateTime.Now;

        public static Model.MDevice devinfo28;
        public static Model.MDevice devinfo;
        public static ISendDeviceOrder sdo;
        public static IGetDeviceState gds;

        #region 

        private static string _userID;

        /// <summary>
        /// û
        /// </summary>
        public static string UserID
        {
            get { return CStaticClass._userID; }
            set { CStaticClass._userID = value; }
        }

        private static string _movedDeviceAheadTrigger = "1";

        /// <summary>
        /// ƶ豸Ƿǰȡ
        /// </summary>
        public static string MovedDeviceAheadTrigger
        {
            get { return CStaticClass._movedDeviceAheadTrigger; }
            set
            {
                if ((value == "0") || (value == "1"))
                {
                    CStaticClass._movedDeviceAheadTrigger = value;
                }
                else
                {
                    CStaticClass._movedDeviceAheadTrigger = "1";
                }
            }
        }

        private static string _outDetectArrowIdleGoods = "1";

        /// <summary>
        /// ѶǷĿͻк
        /// </summary>
        public static string OutDetectArrowIdleGoods
        {
            get { return CStaticClass._outDetectArrowIdleGoods; }
            set
            {
                if ((value == "0") || (value == "1"))
                {
                    CStaticClass._outDetectArrowIdleGoods = value;
                }
                else
                {
                    CStaticClass._outDetectArrowIdleGoods = "1";
                }
            }
        }

        private static string _deviceErrorAutoModifyRoutePath = "0";

        /// <summary>
        /// 豸Զ·
        /// </summary>
        public static string DeviceErrorAutoModifyRoutePath
        {
            get { return CStaticClass._deviceErrorAutoModifyRoutePath; }
            set
            {
                if ((value == "0") || (value == "1"))
                {
                    CStaticClass._deviceErrorAutoModifyRoutePath = value;
                }
                else
                {
                    CStaticClass._deviceErrorAutoModifyRoutePath = "0";
                }
            }
        }

        private static string _doubleForkWaitTime = "120";

        /// <summary>
        /// ˫ȴʱ䵥λ룩Ĭ120
        /// </summary>
        public static string DoubleForkWaitTime
        {
            get { return CStaticClass._doubleForkWaitTime; }
            set
            {
                if (Microsoft.VisualBasic.Information.IsNumeric(_doubleForkWaitTime) == true)
                {
                    CStaticClass._doubleForkWaitTime = value;
                }
                else
                {
                    CStaticClass._doubleForkWaitTime = "120";
                }
            }
        }

        private static string _agvAllowSingleFork = "0";

        /// <summary>
        /// AGVǷ涯Ĭ˫һ 0
        /// </summary>
        public static string AGVAllowSingleFork
        {
            get { return CStaticClass._agvAllowSingleFork; }
            set
            {
                if ((value == "0") || (value == "1"))
                {
                    CStaticClass._agvAllowSingleFork = value;
                }
                else
                {
                    CStaticClass._agvAllowSingleFork = "0";
                }
            }
        }

        private static bool _Order;

        /// <summary>
        /// Ƿ
        /// </summary>
        public static bool Order
        {
            get { return CStaticClass._Order; }
            set { CStaticClass._Order = value; }
        }

        private static string _routeSearchMode = "0";

        /// <summary>
        /// ·ʽ:0·ѡ̶·ߣ1ÿڹĽڵΪʼ㣬ĩ˽ڵһ·Ľڵ
        /// </summary>
        public static string RouteSearchMode
        {
            get { return CStaticClass._routeSearchMode; }
            set
            {
                if ((value == "0") || (value == "1"))
                {
                    CStaticClass._routeSearchMode = value;
                }
                else
                {
                    CStaticClass._routeSearchMode = "0";
                }
            }
        }

        private static int _MessageIndex;

        /// <summary>
        /// طϢ
        /// </summary>
        public static int MessageIndex
        {
            get { return CStaticClass._MessageIndex; }
            set
            {
                if (value > 240)
                {
                    value = 1;
                }

                CStaticClass._MessageIndex = value;
            }
        }

        #endregion 

        #region OPCسʼ

        public static void ReConnect()
        {
            OPCClient.CCommonOPCClient.ConnectCount = 0;
        }

        #endregion OPCسʼ

        #region ָ

        private static string _manstatus = " F_Status<>-1 ";//Ĭϣʾȫ
        private static string _monstatus = " F_Status<>-1 ";//Ĭϣʾ豸ָȫ
        private static bool _realRefresh = true;

        /// <summary>
        /// ʾȫ" F_Status<>-1 ";ȴ" F_Status=0 "ж" F_Status=1 "
        /// </summary>
        public static string Manstatus
        {
            get { return CStaticClass._manstatus; }
            set { CStaticClass._manstatus = value; }
        }

        /// <summary>
        /// ʾ豸ָȫ" F_Status<>-1 ";ȴ" F_Status=0 "ж" F_Status=1 "
        /// </summary>
        public static string Monstatus
        {
            get { return CStaticClass._monstatus; }
            set { CStaticClass._monstatus = value; }
        }

        /// <summary>
        /// Ƿʵʱˢ¼غ͵б
        /// </summary>
        public static bool RealRefresh
        {
            get { return CStaticClass._realRefresh; }
            set { CStaticClass._realRefresh = value; }
        }

        #endregion ָ

        #region OPCݲ--ȡ--ȡ--

        public static int[] AllReturns;
        public static bool GetAllReturnFlag = false;

        /// <summary>
        /// ȡй翪صź ѭ
        /// </summary>
        public static void GetAllReturns()
        {
            try
            {
                GetAllReturnFlag = true;
                if (devinfo28.DeviceIndex == 11001)
                {
                    return;
                }
                gds = CommModeCreate.CreateGetDeviceState(devinfo28.DeviceIndex);
                AllReturns = gds.GetDeviceState(devinfo28.DeviceIndex);
                //AllReturns = new int[100] { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };
                if (AllReturns == null)
                {
                    if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf("ȡй翪صźʱ" + gds.CommLayerError) < 0)
                    {
                        FrmControlMonitor.FormInstance.FlashPanit("tsStatus", "ȡй翪صźʱ" + gds.CommLayerError, true);
                    }
                }
                //Thread.Sleep(500);//̽źŴλ
                //LogUtil.WriteLog("", "ִGetAllReturns"+ AllReturns.Length);
                GetAllReturnFlag = false;
            }
            catch (Exception ex)
            {
                if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf("ȡй翪صźʱ" + ex.Message) < 0)
                {
                    FrmControlMonitor.FormInstance.FlashPanit("tsStatus", "ȡй翪صźʱ" + ex.Message, true);
                }
                return;
            }
        }

        /// <summary>
        /// ȡź
        /// </summary>
        /// <param name="deviceIdx">豸</param>
        /// <returns></returns>
        public static int GetOverlapStatus(int deviceIdx)
        {
            try
            {
                if (devinfo28.DeviceKind == 28)
                {
                    if (CStaticClass.AllReturns != null)
                    {
                        #region ź

                        devinfo = BaseDeviceService.GetDeviceInfo(deviceIdx);
                        int temp = devinfo.Dbw2Address - devinfo28.Dbw2Address;
                        int flag = CStaticClass.AllReturns[temp];//ɱ־
                        int sendouttype = CStaticClass.AllReturns[temp + 1];//뿪ͣ2ɣ3
                        //  return 3; // ʱԶ
                        if (flag == 0 || sendouttype < 3)// || boxnumber == 0)
                        {
                            return 0;
                        }
                        else
                        {
                            return sendouttype;
                        }

                        #endregion ź
                    }
                    else
                    {
                        return 0;
                    }
                }
                else
                {
                    return 0;
                }
            }
            catch (Exception ex)
            {
                if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf("ȡõźʱ" + ex.Message) < 0)
                {
                    FrmControlMonitor.FormInstance.FlashPanit("tsStatus", "ȡõźʱ" + ex.Message, true);
                }
                return 0;
            }
        }

        /// <summary>
        /// ȡ ӦǼ
        /// </summary>
        /// <param name="deviceIdx"></param>
        /// <returns></returns>
        public static int GetboxNum(int deviceIdx)
        {
            try
            {
                if (devinfo28.DeviceKind == 28)
                {
                    if (CStaticClass.AllReturns != null)
                    {
                        #region 

                        devinfo = BaseDeviceService.GetDeviceInfo(deviceIdx);
                        int temp = devinfo.Dbw2Address - devinfo28.Dbw2Address;
                        int boxNum = (CStaticClass.AllReturns[temp + 4] << 8) + CStaticClass.AllReturns[temp + 5];
                        return boxNum;

                        #endregion 
                    }
                    else
                    {
                        return 0;
                    }
                }
                else
                {
                    return 0;
                }
            }
            catch (Exception ex)
            {
                if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf("ȡõźʱ" + ex.Message) < 0)
                {
                    FrmControlMonitor.FormInstance.FlashPanit("tsStatus", "ȡõźʱ" + ex.Message, true);
                }
                return 0;
            }
        }

        /// <summary>
        /// ò
        /// </summary>
        /// <param name="deviceIdx"></param>
        /// <returns></returns>
        public static int Gettaskno(int deviceIdx)
        {
            try
            {
                if (devinfo28.DeviceKind == 28)
                {
                    if (CStaticClass.AllReturns != null)
                    {
                        #region 

                        devinfo = BaseDeviceService.GetDeviceInfo(deviceIdx);
                        int temp = devinfo.Dbw2Address - devinfo28.Dbw2Address;
                        int taskno = (CStaticClass.AllReturns[temp + 2] << 8) + CStaticClass.AllReturns[temp + 3];
                        return taskno;

                        #endregion 
                    }
                    else
                    {
                        return 0;
                    }
                }
                else
                {
                    return 0;
                }
            }
            catch (Exception ex)
            {
                if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf("ȡõźʱ" + ex.Message) < 0)
                {
                    FrmControlMonitor.FormInstance.FlashPanit("tsStatus", "ȡõźʱ" + ex.Message, true);
                }
                return 0;
            }
        }

        /// <summary>
        /// ȡɨͷ Ƿź Ӿǰ
        /// </summary>
        /// <param name="deviceIdx"></param>
        /// <returns></returns>
        public static int GetScannerStatus(int deviceIdx)
        {
            try
            {
                if (devinfo28.DeviceKind == 28)
                {
                    if (CStaticClass.AllReturns != null)
                    {
                        #region ɨ

                        devinfo = BaseDeviceService.GetDeviceInfo(deviceIdx);
                        int temp = devinfo.Dbw2Address - devinfo28.Dbw2Address;
                        int flag = CStaticClass.AllReturns[temp];//ɨɱ־
                        return flag;

                        #endregion ɨ
                    }
                    else
                    {
                        return 0;
                    }
                }
                else
                {
                    return 0;
                }
            }
            catch (Exception ex)
            {
                if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf("ȡɨźʱ" + ex.Message) < 0)
                {
                    FrmControlMonitor.FormInstance.FlashPanit("tsStatus", "ȡɨźʱ" + ex.Message, true);
                }
                return 0;
            }
        }

        /// <summary>
        /// ȡɨͷ  õ
        /// </summary>
        /// <param name="deviceIdx"></param>
        /// <returns></returns>
        public static string GetStringData(int deviceIdx)
        {
            try
            {
                if (devinfo28.DeviceKind == 28)
                {
                    if (CStaticClass.AllReturns != null)
                    {
                        devinfo = BaseDeviceService.GetDeviceInfo(deviceIdx);

                        if (devinfo.Dbw2Address != -1)
                        {
                            int temp = devinfo.Dbw2Address - devinfo28.Dbw2Address;
                            decimal glen = devinfo.Dbw2Getlength;
                            string strdata = "";
                            string headstr = CStaticClass.AllReturns[temp].ToString();
                            if (headstr != "2") return null;
                            switch (devinfo.DeviceKind.ToString())
                            {
                                #region ַϢ

                                case "7"://ɨ
                                    for (int i = 1; i <= 12; i++)//20110401
                                    {
                                        strdata += Convert.ToChar(CStaticClass.AllReturns[temp + i + 1]);
                                        if (strdata == "?")
                                        {
                                            return "";
                                        }
                                    }
                                    strdata = strdata.ToUpper();
                                    CCarryConvert.WriteDarkCasket("OPCClient", "CGetDeviceState", deviceIdx.ToString(), strdata);
                                    break;

                                    #endregion ַϢ
                            }
                            return strdata;
                        }
                        else
                        {
                            return null;
                        }
                    }
                    else
                    {
                        return null;
                    }
                }
                else
                {
                    return null;
                }
            }
            catch (Exception ex)
            {
                if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf("CStaticClassȡ豸ַϢʱ" + ex.Message) < 0)
                {
                    FrmControlMonitor.FormInstance.FlashPanit("tsStatus", "CStaticClassȡ豸ַϢʱ" + ex.Message, true);
                }
                return null;
            }
        }

        /// <summary>
        /// ̽ʶ ȡĳǷ
        /// </summary>
        /// <param name="devicePhotoelectricBit"></param>
        /// <returns></returns>
        public static int GetDevicePhotoelectric(string devicePhotoelectricBit)
        {
            try
            {
                if (devinfo28.DeviceKind != 28)
                {
                    return -1;
                }
                if (CStaticClass.AllReturns == null)
                {
                    return -1;
                }

                #region ȡֵ

                char[] dd = new char[1] { '.' };
                string[] DS = devicePhotoelectricBit.Split(dd);
                int deviceIdx = 0; int devbit = 0;
                int.TryParse(DS[0], out deviceIdx);
                int.TryParse(DS[1], out devbit);
                devinfo = BaseDeviceService.GetDeviceInfo(deviceIdx);
                if (devinfo == null)
                {
                    return -1;
                }
                int glen = 0;
                int IfVis = 0;
                if (devinfo.SplitByte != -1)
                {
                    int temp = devinfo.SplitByte - devinfo28.Dbw2Address;
                    temp += devbit / 8;
                    glen = devbit % 8;

                    if (temp >= 0)
                    {
                        IfVis = CCarryConvert.GetBitFromInteger(CStaticClass.AllReturns[temp], glen);
                        return IfVis;
                    }
                    else
                    {
                        return -1;
                    }
                }
                else
                {
                    return -1;
                }

                #endregion ȡֵ
            }
            catch (Exception ex)
            {
                if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf("ȡָ翪صźʱ" + ex.Message) < 0)
                {
                    FrmControlMonitor.FormInstance.FlashPanit("tsStatus", "ȡָ翪صźʱ" + ex.Message, true);
                }
                return -1;
            }
        }

        /// <summary>
        /// ǰ 豸źbitλȡF_SplitByteĹbitֵ0,1
        /// </summary>
        /// <param name="deviceIdx"></param>
        /// <param name="bit"></param>
        /// <returns></returns>
        public static int GetDevicePhotoelectric(int deviceIdx, int abit)
        {
            try
            {
                if (devinfo28.DeviceKind == 28)
                {
                    if (CStaticClass.AllReturns != null)
                    {
                        #region ȡֵ

                        devinfo = BaseDeviceService.GetDeviceInfo(deviceIdx);
                        int glen = 0;
                        int IfVis = 0;
                        if (devinfo.SplitByte != -1)
                        {
                            int temp = devinfo.SplitByte - devinfo28.Dbw2Address;
                            if (abit > 7)
                            {
                                glen = abit - 8;
                                temp = temp + 1;
                            }
                            else
                            {
                                glen = abit;
                            }
                            if (temp >= 0)
                            {
                                IfVis = CCarryConvert.GetBitFromInteger(CStaticClass.AllReturns[temp], glen);
                                //if (dvle[0]["F_DeviceKindIndex"].ToString() == "18")
                                //{//翪0̽1̽ȡ߼
                                //    if (IfVis == 1)
                                //    {
                                //        IfVis = 0;
                                //    }
                                //    else
                                //    {
                                //        IfVis = 1;
                                //    }
                                //}
                                return IfVis;
                            }
                            else
                            {
                                return -1;
                            }
                        }
                        else
                        {
                            return -1;
                        }

                        #endregion ȡֵ
                    }
                    else
                    {
                        return -1;
                    }
                }
                else
                {
                    return -1;
                }
            }
            catch (Exception ex)
            {
                if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf("ȡָ翪صźʱ" + ex.Message) < 0)
                {
                    FrmControlMonitor.FormInstance.FlashPanit("tsStatus", "ȡָ翪صźʱ" + ex.Message, true);
                }
                return -1;
            }
        }

        /// <summary>
        /// ȡָ豸豸״̬:[0]д־;[1]״̬;[2]ţ[3]X;[4]Y;[5]豸
        /// </summary>
        /// <param name="deviceIdx">豸</param>
        /// <returns></returns>
        public static int[] GetDeviceState(int deviceIdx)
        {
            int[] states = new int[6];
            //string headstr;
            string[] wv = new string[1] { "2" };
            string[] witemnames;
            try
            {
                if (devinfo28.DeviceKind == 28)//豸 ݴ
                {
                    if (CStaticClass.AllReturns != null)
                    {
                        #region ȡ豸״̬

                        devinfo = BaseDeviceService.GetDeviceInfo(deviceIdx);
                        if (devinfo.Dbw2Address != -1)
                        {
                            int temp = devinfo.Dbw2Address - devinfo28.Dbw2Address;
                            decimal glen = devinfo.Dbw2Getlength;
                            states = new int[6];
                            wv = new string[1] { "2" };
                            witemnames = new string[1] { "DB2,byte" + Convert.ToString((devinfo.Dbw2Address + 0)) };
                            sdo = CommModeCreate.CreateSendDeviceOrder(deviceIdx);
                            switch (devinfo.DeviceKind.ToString())
                            {
                                #region

                                case "1":

                                    #region Ѷ

                                    states[0] = CStaticClass.AllReturns[temp];//д־
                                    states[1] = CStaticClass.AllReturns[temp + 1];//״̬
                                    states[2] = (CStaticClass.AllReturns[temp + 2] << 8) + CStaticClass.AllReturns[temp + 3];//
                                    states[3] = CStaticClass.AllReturns[temp + 7] + (CStaticClass.AllReturns[temp + 6] << 8) + (CStaticClass.AllReturns[temp + 5] << 16) + (CStaticClass.AllReturns[temp + 4] << 32);//X
                                    states[4] = CStaticClass.AllReturns[temp + 11] + (CStaticClass.AllReturns[temp + 10] << 8) + (CStaticClass.AllReturns[temp + 9] << 16) + (CStaticClass.AllReturns[temp + 8] << 32);//Y
                                    states[5] = deviceIdx;//豸
                                    if (IsEquals(devinfo.ReturnMessage, states, 3) == false)//Ϣڴ治һ Ҫ
                                    {
                                        devinfo.ReturnMessage = states;
                                        BaseDeviceService.SetDeviceMessage(devinfo);
                                        DbHelperSQL.Query("update t_base_device set f_currentlocation='" + states[3] + "," + states[4] + "' where f_deviceindex=" + deviceIdx);
                                        string sss = "";
                                        for (int j = 0; j <= 5; j++)
                                        {
                                            sss += "**" + states[j].ToString();
                                        }
                                        CCarryConvert.WriteDarkCasket("OPCClient", "CGetDeviceState", deviceIdx.ToString(), sss);
                                    }
                                    break;

                                #endregion Ѷ

                                case "2":

                                    #region ͻ

                                    states[0] = CStaticClass.AllReturns[temp];//д־
                                    states[1] = CStaticClass.AllReturns[temp + 1];//״̬
                                    states[2] = (CStaticClass.AllReturns[temp + 2] << 8) + CStaticClass.AllReturns[temp + 3];//
                                    states[3] = 0;
                                    states[4] = 0;
                                    states[5] = deviceIdx;//豸
                                    if (IsEquals(devinfo.ReturnMessage, states, 3) == false)
                                    {
                                        devinfo.ReturnMessage = states;
                                        BaseDeviceService.SetDeviceMessage(devinfo);
                                        string sss = "";
                                        for (int j = 0; j <= 5; j++)
                                        {
                                            sss += "**" + states[j].ToString();
                                        }
                                        CCarryConvert.WriteDarkCasket("OPCClient", "CGetDeviceState", deviceIdx.ToString(), sss);
                                    }
                                    break;

                                #endregion ͻ

                                case "34":

                                    #region AGV

                                    states[0] = CStaticClass.AllReturns[temp];//д־
                                    states[1] = CStaticClass.AllReturns[temp + 1];//״̬
                                    states[2] = (CStaticClass.AllReturns[temp + 2] << 8) + CStaticClass.AllReturns[temp + 3];//
                                    states[3] = 0;
                                    states[4] = 0;
                                    states[5] = deviceIdx;//豸
                                    if (IsEquals(devinfo.ReturnMessage, states, 3) == false)
                                    {
                                        devinfo.ReturnMessage = states;
                                        BaseDeviceService.SetDeviceMessage(devinfo);
                                        string sss = "";
                                        for (int j = 0; j <= 5; j++)
                                        {
                                            sss += "**" + states[j].ToString();
                                        }
                                        CCarryConvert.WriteDarkCasket("OPCClient", "CGetDeviceState", deviceIdx.ToString(), sss);
                                    }
                                    break;

                                #endregion AGV

                                case "5":

                                    #region ̻͵̻

                                    states[0] = CStaticClass.AllReturns[temp];//д־
                                    states[1] = CStaticClass.AllReturns[temp + 1];//״̬
                                    states[2] = 0;
                                    states[3] = 0;
                                    states[4] = 0;
                                    states[5] = deviceIdx;//豸
                                    if (IsEquals(devinfo.ReturnMessage, states, 3) == false)
                                    {
                                        devinfo.ReturnMessage = states;
                                        BaseDeviceService.SetDeviceMessage(devinfo);
                                        string sss = "";
                                        for (int j = 0; j <= 5; j++)
                                        {
                                            sss += "**" + states[j].ToString();
                                        }
                                        CCarryConvert.WriteDarkCasket("OPCClient", "CGetDeviceState", deviceIdx.ToString(), sss);
                                    }
                                    break;

                                #endregion ̻͵̻

                                case "32":

                                    #region ѡģ

                                    states[0] = CStaticClass.AllReturns[temp];//д־
                                    states[1] = CStaticClass.AllReturns[temp + 1];//״̬
                                    states[2] = (CStaticClass.AllReturns[temp + 2] << 8) + CStaticClass.AllReturns[temp + 3];//
                                    states[3] = CStaticClass.AllReturns[temp + 4]; ;//λ
                                    states[4] = 0;
                                    states[5] = deviceIdx;//豸
                                    if (IsEquals(devinfo.ReturnMessage, states, 3) == false)
                                    {
                                        devinfo.ReturnMessage = states;
                                        BaseDeviceService.SetDeviceMessage(devinfo);
                                        string sss = "";
                                        for (int j = 0; j <= 5; j++)
                                        {
                                            sss += "**" + states[j].ToString();
                                        }
                                        CCarryConvert.WriteDarkCasket("OPCClient", "CGetDeviceState", deviceIdx.ToString(), sss);
                                    }
                                    break;

                                #endregion ѡģ

                                case "33":

                                    #region 

                                    states[0] = CStaticClass.AllReturns[temp];//д־
                                    states[1] = CStaticClass.AllReturns[temp + 1];//״̬
                                    states[2] = (CStaticClass.AllReturns[temp + 2] << 8) + CStaticClass.AllReturns[temp + 3];//
                                    states[3] = CStaticClass.AllReturns[temp + 5];//λ
                                    states[4] = (CStaticClass.AllReturns[temp + 6] << 8) + CStaticClass.AllReturns[temp + 7];
                                    states[5] = deviceIdx;//豸
                                    if (IsEquals(devinfo.ReturnMessage, states, 3) == false)
                                    {
                                        devinfo.ReturnMessage = states;
                                        BaseDeviceService.SetDeviceMessage(devinfo);
                                        string sss = "";
                                        for (int j = 0; j <= 5; j++)
                                        {
                                            sss += "**" + states[j].ToString();
                                        }
                                        CCarryConvert.WriteDarkCasket("OPCClient", "CGetDeviceState", deviceIdx.ToString(), sss);
                                    }

                                    break;

                                    #endregion 

                                    #endregion ȡ豸״̬
                            }
                            return states;
                        }
                        else
                        {
                            return null;
                        }

                        #endregion OPCݲ--ȡ--ȡ--
                    }
                    else
                    {
                        return null;
                    }
                }
                else
                {
                    return null;
                }
            }
            catch (Exception ex)
            {
                if (FrmControlMonitor.FormInstance.GetObjectText("tsStatus").IndexOf("CStaticClassȡָ豸״̬ʱ" + ex.Message) < 0)
                {
                    FrmControlMonitor.FormInstance.FlashPanit("tsStatus", "CStaticClassȡָ豸״̬ʱ" + ex.Message, true);
                }
                return null;
            }
            finally
            {
                states = null;
                wv = null;
                witemnames = null;
            }
        }

        #endregion

        #region 

        /// <summary>
        /// ȽֵһάǷֵ
        /// </summary>
        /// <param name="array1">ֵһά1</param>
        /// <param name="array2">ֵһά2</param>
        /// <returns>ȽϽtruefalse</returns>
        public static bool IsEquals(Array array1, Array array2, int arraylength)
        {
            //arraylength
            //ȽǷһ
            if ((array1 == null) || (array2 == null)) return false;
            if (!Object.ReferenceEquals(array1.GetType(), array2.GetType()))
            {
                return false;
            }
            //ȽϳǷһ
            if (array1.GetLength(0) != array2.GetLength(0))
            {
                return false;
            }
            //ȽϳԱǷӦ
            ValueType v1, v2;
            for (int i = 0; i < arraylength; i++)
            {
                v1 = (ValueType)array1.GetValue(i);
                v2 = (ValueType)array2.GetValue(i);

                if (!v1.Equals(v2))
                {
                    return false;
                }
            }
            return true;
        }

        #endregion
    }
}